<?php
namespace Sites\xCams;

function get_shortname()
{
    return 'xc';
}

function online_status()
{
    define('API_URL', 'https://cams.dnxlive.com/gateway/gatewayPost.php');
    define('XML_URL', 'https://cams.dnxlive.com/xml/v0.3/allCamsInfo.xml');

    // Check if REMOTE_ADDR is set, if not use a default value
    $ip_address = isset($_SERVER['REMOTE_ADDR']) ? $_SERVER['REMOTE_ADDR'] : '0.0.0.0';

    // Prepare the query and Action to call
    $args = array(
        'current_page' => 1,
        'cams_per_page' => 1000,
        'ip' => $ip_address,
        'action' => 'getCams',
        'status' => 'ONLINE', // Default value
        'ranking' => 'min_ratio', // Default value
    );

    // Execute the query
    $postData = http_build_query($args);
    $options = array(
        'http' => array(
            'method' => 'POST',
            'header' => 'Content-type: application/x-www-form-urlencoded',
            'content' => $postData
        )
    );
    $context = stream_context_create($options);

    // Fetch the result and decode JSON
    $res = file_get_contents(API_URL, false, $context);
    if ($res === FALSE) {
        die('Error occurred while fetching data.');
    }

    $res = json_decode($res, true);
    if ($res === NULL) {
        die('Error decoding JSON.');
    }

    $models = array();
    if (isset($res['cams']) && is_array($res['cams'])) {

 // Default tags if not found in XML
 $default_tags = array('anal','boobs','cum','pussy','sex show','cams','online','freechat','sex','blowjobs','ass','toys','teen','milf','group','best','ass play','shaved','natural','alpha','amateur','anal-teens','fingering','asstomouth'
 ,'athletic','babe','licking','c2c','rubbing','free','wet'
    // Add more default tags as needed
);



        // Mapping of gender codes
        $gender_map = array(
            "M" => 'm',
            "F" => 'f',
            "S" => 't',
            "P" => 'c',
            "" => ''
        );

        // Load XML data
        $xml = simplexml_load_file(XML_URL);
        if ($xml === FALSE) {
            die('Error loading XML data.');
        }

        foreach ($res['cams'] as $m) {





            $nickname = isset($m['nickname']) ? (string)$m['nickname'] : '';
            $status = isset($m['status']) && (string)$m['status'] == 'ONLINE' ? 'f' : 'o';
            $gender = isset($m['sex']) && isset($gender_map[(string)$m['sex']]) ? $gender_map[(string)$m['sex']] : 'f';
            $gender = strtolower($gender);
            if (!in_array($gender, ['c', 'f', 'm', 't'])) {
                $gender = 'f';
            }
   // Filter only females and couples
   if ($gender !== 'f' && $gender !== 'c') {
    continue; // Skip this model if gender is not 'f' or 'c'
}
            // Find matching webcam in XML data
            $found = false;
            foreach ($xml->webcam as $m) {
                
                if ((string)$m->nickname == $nickname) {
                    $imageUrl = (string)$m->webcam_previews->preview[4]; // Adjust index as needed
                    $age = (int)$m->age;
                    $subject = ''; // Placeholder for subject, adjust based on XML structure
                    foreach ($m->profile_lang as $profile) {
                        if ((string)$profile['lang'] == 'EN') {
                            $subject = (string)$profile->description;
                            break;
                        }
                    }
                    $spokenLanguages = (string)$m->language;
                   // $categories = (string)$m->shows;


                
                    // Extract tags from turnons and turnoffs
                    $tags = array();
                    if (isset($webcam->turnons)) {
                        $turnons_tags = explode(',', (string)$m->turnons);
                        foreach ($turnons_tags as $tag) {
                            $tags[] = trim($tag);
                        }
                    }
                    if (isset($webcam->turnoffs)) {
                        $turnoffs_tags = explode(',', (string)$m->turnoffs);
                        foreach ($turnoffs_tags as $tag) {
                            $tags[] = trim($tag);
                        }
                    }

                    // Merge with default tags
                    $all_tags = array_merge($default_tags, $tags);

                    // Shuffle tags to randomize order
                    shuffle($all_tags);

                    // Select unique tags
                    $unique_tags = array_unique($all_tags);

                    // Limit tags to 10 if needed
                    $selected_tags = array_slice($unique_tags, 0, 10); // Adjust count as needed

                    // Convert tags to comma-separated string
                    $tags_str = implode(',', $selected_tags);

                    $models[] = array(
                        'site' => 'xc',
                        'nickname' => $nickname,
                        'name' =>  $nickname, // Update if available
                        'imageUrl' => $imageUrl,
                        'earnedForGoal' => 0, // Replace with actual value if available
                        'neededForGoal' => 0, // Replace with actual value if available
                        'broadcastVR' => 0, // Replace with actual value if available
                        'age' => $age,
                        'subject' => $subject,
                        'languages' => $spokenLanguages,
                        'tags' => $tags_str, // Assign the string of tags
                        'gender' => $gender,
                        'status' => $status
                    );


                    $found = true;
                    break;
                }
            }

            if (!$found) {
                // Handle case where webcam info was not found in XML
                // Add default values or error handling as needed
            }
        }

       // print_r($models); // For debugging purposes, remove in production
    }

    return $models;
}
