
    <style>

.container {
            max-width: 800px;
            margin: 20px auto;
            padding: 20px;
            background-color: white;
            border: 1px solid #ddd;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }
        h1, input, textarea, select, button {
            margin-bottom: 10px;
        }
        label {
            font-weight: bold;
        }
        input, textarea, select {
            width: 100%;
            padding: 10px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        textarea {
            height: 200px;
        }
        button {
            background-color: #007bff;
            color: white;
            border: none;
            border-radius: 4px;
            padding: 10px 20px;
            cursor: pointer;
        }
        button:hover {
            background-color: #0056b3;
        } 
       
    </style>


<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Database connection code (similar to what you used before)
$hostname = $_AVOS['config']['mysql']['hostname'];
        $username = $_AVOS['config']['mysql']['username'];
        $password = $_AVOS['config']['mysql']['password'];
        $dbname = $_AVOS['config']['mysql']['database'];
global $_AVOS;
$dir2 = $_AVOS['config']['site']['webDir'] . 'photosBlog/';
$connection = mysqli_connect($hostname, $username, $password, $dbname);
if (!$connection) {
    die("Database connection failed: " . mysqli_connect_error());
}

// Get the PostID from the query string
//here is the new code 
if (isset($_GET['id'])) {
    $postID = $_GET['id'];

       // Function to convert image to webp format
       function convertToWebp($sourcePath, $destinationPath) {
        $image = imagecreatefromstring(file_get_contents($sourcePath));
        imagewebp($image, $destinationPath, 85); // 85 is the quality parameter
        imagedestroy($image);
    }
    // Handle form submission
    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        // Existing image filenames
        $existingImagePathAvatar = '';  // Get the existing Avatar Image filename from the database
        $existingMainImage = '';        // Get the existing Main Image filename from the database
        $existingGalleryImages = '';    // Get the existing Gallery Images filenames from the database
    
     
    
        // Check for new Avatar Image
        if (!empty($_FILES['ImagePathAvatar']['name'])) {
            $newAvatarFilename = 'avatarImage.webp';
            convertToWebp($_FILES['ImagePathAvatar']['tmp_name'], $dir2 . $postID . '/' . $newAvatarFilename);
    
            // Delete old avatar image if it exists
            if (!empty($existingImagePathAvatar)) {
                unlink($dir2 . $postID . '/' . $existingImagePathAvatar);
            }
    
            $existingImagePathAvatar = $newAvatarFilename;
        }
    
        // Check for new Main Image
        if (!empty($_FILES['MainImage']['name'])) {
            $newMainImageFilename = 'MainImage.webp';
            convertToWebp($_FILES['MainImage']['tmp_name'], $dir2 . $postID . '/' . $newMainImageFilename);
    
            // Delete old main image if it exists
            if (!empty($existingMainImage)) {
                unlink($dir2 . $postID . '/' . $existingMainImage);
            }
    
            $existingMainImage = $newMainImageFilename;
        }
    
        // Check for new Gallery Images
        
        if (!empty($_FILES['GalleryImages']['name'][0])) {
            // Delete all old gallery images
            if (!empty($existingGalleryImages)) {
                $existingGalleryImageFilenames = explode(', ', $existingGalleryImages);
                foreach ($existingGalleryImageFilenames as $filename) {
                    unlink($dir2 . $postID . '/GalleryImages/' . $filename);
                }
            }
    
            $newGalleryImageFilenames = [];
            foreach ($_FILES['GalleryImages']['tmp_name'] as $key => $tmpName) {
                if (!empty($_FILES['GalleryImages']['name'][$key])) {
                    $newGalleryImageFilename = 'image_' . ($key + 1) . '.webp';
                    convertToWebp($tmpName, $dir2 . $postID . '/GalleryImages/' . $newGalleryImageFilename);
                    $newGalleryImageFilenames[] = $newGalleryImageFilename;
                }
            }
    
            $existingGalleryImages = implode(', ', $newGalleryImageFilenames);
        }
    
        // Now you can update the database with the new filenames
    
//blogkeywords

     // Update other fields in the database
$title = mysqli_real_escape_string($connection, $_POST['title']);
$category = mysqli_real_escape_string($connection, $_POST['category']);
$tags = mysqli_real_escape_string($connection, $_POST['tags']);
$blogkeywords = mysqli_real_escape_string($connection, $_POST['blogkeywords']);
$description = mysqli_real_escape_string($connection, $_POST['description']);
$authors = mysqli_real_escape_string($connection, $_POST['authors']);
$authorssescription = mysqli_real_escape_string($connection, $_POST['authorssescription']);
$creationDate = mysqli_real_escape_string($connection, $_POST['date']);
$content = mysqli_real_escape_string($connection, $_POST['content']);
$ContentType = mysqli_real_escape_string($connection, $_POST['ContentType']);
$ModelSites = mysqli_real_escape_string($connection, $_POST['ModelSites']);
$ModelName = mysqli_real_escape_string($connection, $_POST['ModelName']);

// Create an array to hold the fields to be updated
$fieldsToUpdate = [];

// Check and add fields to the update array
if (!empty($title)) $fieldsToUpdate[] = "Title='$title'";
if (!empty($category)) $fieldsToUpdate[] = "Category='$category'";
if (!empty($tags)) $fieldsToUpdate[] = "Tags='$tags'";
if (!empty($blogkeywords)) $fieldsToUpdate[] = "blogkeywords='$blogkeywords'";
if (!empty($description)) $fieldsToUpdate[] = "Description='$description'";
if (!empty($authors)) $fieldsToUpdate[] = "Authors='$authors'";
if (!empty($authorssescription)) $fieldsToUpdate[] = "authorssescription='$authorssescription'";
if (!empty($creationDate)) $fieldsToUpdate[] = "CreationDate='$creationDate'";
if (!empty($content)) $fieldsToUpdate[] = "Content='$content'";
if (!empty($ContentType)) $fieldsToUpdate[] = "ContentType='$ContentType'";
if (!empty($ModelSites)) $fieldsToUpdate[] = "ModelSites='$ModelSites'";
if (!empty($ModelName)) $fieldsToUpdate[] = "ModelName='$ModelName'";
if (!empty($tags)) $fieldsToUpdate[] = "Tags='$tags'";
if (!empty($tags)) $fieldsToUpdate[] = "Tags='$tags'";

// ... repeat for other fields ...

// Check if any file uploads are provided and add them to the update array
if (!empty($_FILES['ImagePathAvatar']['name'])) {
    $fieldsToUpdate[] = "ImagePathAvatar='$existingImagePathAvatar'";
}
if (!empty($_FILES['MainImage']['name'])) {
    $fieldsToUpdate[] = "MainImage='$existingMainImage'";
}
if (!empty($_FILES['GalleryImages']['name'][0])) {
    $fieldsToUpdate[] = "GalleryImages='$existingGalleryImages'";
}

// Construct the update query only if there are fields to update
if (!empty($fieldsToUpdate)) {
    $updateQuery = "UPDATE ArticleBlogPosts SET ";
    $updateQuery .= implode(', ', $fieldsToUpdate);
    $updateQuery .= ", LastUpdated=NOW()";  // Set the LastUpdated column with the current timestamp
    $updateQuery .= " WHERE id=$postID";

    $updateResult = mysqli_query($connection, $updateQuery);

    if ($updateResult) {
        echo "Blog post updated successfully!";
        header("Location: ?page=blog-list");
    exit(); // Important to exit after redirection
          // Display LastUpdated timestamp
       
    } else {
        echo "Error updating blog post: " . mysqli_error($connection);
    }
} else {
    echo "No changes to update.";
}








}
// here is the new code
    // Retrieve post details from the database
    $query = "SELECT * FROM ArticleBlogPosts WHERE id = $postID";
    $result = mysqli_query($connection, $query);

    if ($result) {
        while ($row = mysqli_fetch_assoc($result)) {?>
           
<?     // Display LastUpdated timestamp
     if (!empty($row['LastUpdated'])) {
        $lastUpdatedTimestamp = strtotime($row['LastUpdated']);
        
        // Adjust the timestamp by the time difference (in seconds)
        $timeDifference = time() - $lastUpdatedTimestamp;
        $adjustedTimestamp = $lastUpdatedTimestamp + $timeDifference;
        
        date_default_timezone_set('Europe/Bucharest'); // Set the timezone to Romania
        $formattedLastUpdated = date('F j, Y, H:i', $adjustedTimestamp);
        echo "Last Updated: $formattedLastUpdated";
    }
    

?> by <?= $row['Authors']?>


<!--<script src="https://cdn.tiny.cloud/1/<?= $_AVOS['config']['blog']['TinyMCEapi_key']?>/tinymce/5/tinymce.min.js"></script>-->
<script src="https://cdn.tiny.cloud/1/no-origin/tinymce/5.10.9-138/tinymce.min.js"></script>
<script>
   tinymce.init({
      selector: "textarea",  // Select all textarea elements
      height: 400,  // Set the height of the editor
      plugins: [
         "advlist autolink lists link image charmap print preview anchor",
         "searchreplace visualblocks code fullscreen",
         "insertdatetime media table paste code help wordcount"
      ],
      toolbar: "undo redo | formatselect | bold italic backcolor | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | removeformat | link image media",
      menubar: "file edit view insert format tools table help",
      content_css: [
         "https://cdn.tiny.cloud/1/no-api-key/tinymce/5/content.css"  // Use your own content CSS
      ]
   });
</script>

<div class="row">
 <center>   <h3 style="color: blueviolet;"><small>Edit</small>  <?= $row['Title']?></h3></center>
    <div class="form-three widget-shadow">
        <form class="form-horizontal" enctype="multipart/form-data" method="post">
        <div class="form-group">
        <label for="title" class="col-sm-2 control-label">Post Title</label>
        <div class="col-sm-8">
            <input type="text" class="form-control1" id="title" name="title" value="<?= $row['Title']?>">
        </div>
    </div>

            <div class="form-group">
                <label for="selector1" class="col-sm-2 control-label">Category Select</label>
                <div class="col-sm-8">
                <select name="category" id="category" class="form-control1">
                        <option> <?= $row['Category']?></option>
                        <option value="">*******************</option>
                        <option value="Adult dreams">Adult dreams</option>
                        <option value="Erotic dreams">Erotic dreams</option>
                        <option value="Fantasies">Fantasies</option>
                        <option value="Games">Gaming and Virtual Worlds</option>
                        <option value="Interview">Interview</option>
                        <option value="Lifestyle">Lifestyle</option>
                        <option value="Models">Models</option>
                        <option value="Relationships">Relationship Advice</option>
                        <option value="Reviews">Models Show Reviews</option>
                        <option value="Psychology">Psychology</option>
                        <option value="Sexuality">Sexuality</option>
                        <option value="Cam Toys">Cam Toys</option>
                        <option value="Travel">Travel</option>
                        <option value="Videos">Videos</option>
                        <option value="">*******************</option>
                               
                        <option value="Anal Sex">Anal Sex</option>
                        <option value="Artistic Porn">Artistic Porn</option>
                        <option value="ASMR">ASMR</option>
                        <option value="BDSM">BDSM</option>
                        <option value="Big Cock">Big Cock</option>
                        <option value="Big Tits">Big Tits</option>
                        <option value="Blondes">Blondes</option>
                        <option value="Blowjobs">Blowjobs</option>
                        <option value="Brunettes">Brunettes</option>
                        <option value="Cumshot">Cumshot</option>
                        <option value="Couples Fucking">Couples Fucking</option>
                        <option value="Female Masturbation">Female Masturbation</option>
                        <option value="Free Audio Porn">Free Audio Porn</option>
                        <option value="Free Erotic Audio">Free Erotic Audio</option>
                        <option value="Free Erotic Films">Free Erotic Films</option>
                        <option value="Free Erotic Stories">Free Erotic Stories</option>
                        <option value="Free Porn Stories">Free Porn Stories</option>
                        <option value="Group Sex">Group Sex</option>
                        <option value="Hairy Pussy">Hairy Pussy</option>
                        <option value="Hot Naked Guys">Hot Naked Guys</option>
                        <option value="Hotwife Sex">Hotwife Sex</option>
                        <option value="Kinky Sex">Kinky Sex</option>
                        <option value="Kissing">Kissing</option>
                        <option value="Lesbian Porn">Lesbian Porn</option>
                        <option value="Lingerie">Lingerie</option>
                        <option value="Male Masturbation">Male Masturbation</option>
                        <option value="Male Voice">Male Voice</option>
                        <option value="Outdoor Sex">Outdoor Sex</option>
                        <option value="Pussy Licking">Pussy Licking</option>
                        <option value="Redheads">Redheads</option>
                        <option value="Romantic Sex">Romantic Sex</option>
                        <option value="Sex Toys">Sex Toys</option>
                        <option value="Sexual Fantasy">Sexual Fantasy</option>
                        <option value="Shaved Pussy">Shaved Pussy</option>
                        <option value="Small Tits">Small Tits</option>
                        <option value="Soft Porn">Soft Porn</option>
                        <option value="Stranger Sex">Stranger Sex</option>
                        <option value="Threesome Porn">Threesome Porn</option>
                        <option value="Threesome">Threesome</option>
                        <option value="Travel">Travel</option>
                        <option value="Voyeur">Voyeur</option>
                        <option value="Voyeur Sex">Voyeur Sex</option>
                        <option value="Written by Ladies">Written by Ladies</option>
                        <option value="Written by Men">Written by Men</option>
                 
                        
   


                    </select>
               
                </div>
            </div>

          <div class="form-group">
                <label for="selector1" class="col-sm-2 control-label">Webcams Preformar</label>
                <div class="col-sm-8">
                    <div class="col-xs-12 col-sm-6 ">
                        <div class="col-xs-12">
                            <input type="text" id="ModelName" name="ModelName" class="form-control1" value="<?= $row['ModelName']?>">
                        </div>
                    </div>
                    <div class=" col-xs-12 col-sm-6">
                        <div class="col-xs-12">


                            <select id="ModelSites" name="ModelSites" class="form-control1">
                                <option ><?= $row['ModelSites']?></option>
                                <option value="none">none</option>
                                <option value="Chaturbate">Chaturbate</option>
                                <option value="StripChat">StripChat</option>
                                <option value="BongaCams">BongaCams</option>
                                <option value="CamSoda">CamSoda</option>
                                <option value="Flirt4Free">Flirt4Free</option>
                                <option value="LiveJasmin">LiveJasmin</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">Tags</label>
                <div class="col-sm-8">
                    <input type="text" class="form-control1" id="tags" name="tags" value="<?= $row['Tags']?>">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Ex: ass,boobs,blow,.. help text!</p>
                </div>
            </div>


            <div class="form-group">
                <label for="focusedinput" class="col-sm-2 control-label">KeyWords</label>
                <div class="col-sm-8">
                    <input type="text" class="form-control1" id="blogkeywords" name="blogkeywords" value="<?= $row['blogkeywords']?>">
                </div>
                <div class="col-sm-2">
                    <p class="help-block">Ex: ass,boobs,blow,.. used on meta to!</p>
                </div>
            </div>


            <div class="form-group">
    <label for="checkbox" class="col-sm-2 control-label">Post Content</label>
    <div class="col-sm-8">
    <div class="checkbox-inline">
        <label> Adult</label>
        
            <input type="checkbox" id="ContentType-adult" name="ContentType" value="adult"
            <?= $row['ContentType'] === 'adult' ? 'checked' : '' ?>>
           
    </div>
    <div class="checkbox-inline">
        <label> NonAdult</label>
             <input type="checkbox" id="ContentType-non" name="ContentType" value="nonadult"
            <?= $row['ContentType'] === 'nonadult' ? 'checked' : '' ?>> 
           
    </div>
</div>

</div>
<div class="form-group">
   <label for="txtarea1" class="col-sm-2 control-label">Short Description</label>
   <div class="col-sm-8">
      <textarea id="description" name="description" cols="150" rows="9" class="form-control1" aria-hidden="true"><?= $row['Description'] ?></textarea>
   </div>
</div>

<div class="form-group">
   <label for="content" class="col-sm-2 control-label">Article Content</label>
   <div class="col-sm-8">
      <textarea id="content" name="content" contenteditable="true" class="form-control1"><?= $row['Content'] ?></textarea>
   </div>
</div>



            <div class="form-group">
                <label for="smallinput" class="col-sm-2 control-label label-input-sm">Authors</label>
                <div class="col-sm-8">
                    <input type="text" class="form-control1 input-sm" id="authors" name="authors" value="<?= $row['Authors']?>">
                </div>
            </div>
            <div class="form-group">
   <label for="txtarea1" class="col-sm-2 control-label">Short Authors Description</label>
   <div class="col-sm-8">
      <textarea id="authorssescription" name="authorssescription" cols="100" rows="3" class="form-control1" aria-hidden="true"><?= $row['authorssescription']?></textarea>
   </div>
</div>

            <div class="form-group">
                <label for="smallinput" class="col-sm-2 control-label label-input-sm">Creation Date:</label>
                <div class="col-sm-8">
                    <input type="date" class="form-control1 input-sm" id="date" name="date" value="<?= $row['CreationDate']?>">
                </div>
            </div>

            <div class="form-group">
    <label for="ImagePathAvatar" class="col-sm-2 control-label">Avatar Image</label>
    <div class="col-sm-8">
    <input type="file" id="ImagePathAvatar" name="ImagePathAvatar" class="form-control1" accept="image/jpeg, image/jpg, image/png" >
  <p class="help-block">Avatar image.</p>
        <?php if (!empty($row['ImagePathAvatar'])) : ?>
           
            <img src="/photosBlog/<?=  $postID ?>/<?= $row['ImagePathAvatar'] ?>" alt="" width="100" height="100">
        <?php endif; ?>
    </div>
</div>



<div class="form-group">
    <label for="MainImage" class="col-sm-2 control-label">Main Image</label>
    <div class="col-sm-8">
        <input type="file" id="MainImage" name="MainImage" class="form-control1" accept="image/jpeg, image/jpg, image/png"">
        <p class="help-block">Main image</p>
        <?//php if (!empty($row['MainImage'])) : ?>
            <p>Selected File:</p>
            <img src="/photosBlog/<?=  $postID ?>/<?= $row['MainImage'] ?>" alt="" width="100" height="100">

        <?//php endif; ?>
    </div>
</div>


<div class="form-group">
    <label for="GalleryImages" class="col-sm-2 control-label">Gallery Images</label>
    <div class="col-sm-8">
        <input type="file" id="GalleryImages" name="GalleryImages[]" multiple class="form-control1"accept="image/jpeg, image/jpg, image/png">
        <p class="help-block">Gallery Images.</p>

       
      
        <?php if (isset($row['GalleryImages']) && is_string($row['GalleryImages'])) :
    $imageArray = explode(', ', $row['GalleryImages']);
?>
    <p>Selected Files:</p>
 
        <?php foreach ($imageArray as $image) : ?>
      
            <img src="/photosBlog/<?=  $postID ?>/GalleryImages/<?= $image ?>" alt="<?= $image ?>" width="100" height="100">

           
        <?php endforeach; ?>
  
<?php endif; ?>



    </div>
</div>


    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-8">
            <button type="submit" class="btn btn-primary">Update</button>
        </div>
    </div>
        </form>



    </div>
</div>

              
              
         



<?   
           }
           mysqli_free_result($result);
       } else {
           echo "Error: " . mysqli_error($connection);
       }


      // exit;
   }




 
   ?>
   

 

