
<style>

.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    vertical-align: middle;
    text-align: center;
    font-weight: 700;
}
.sel{
  height: 30px;
    width: 30%;
    border-radius: 6px;
    border: 1px solid orange;
}
.ref{
  height: 30px;
  border: none;
  background: #D4EDD9;
  /* border: 1px solid orange; */
  border-radius: 4px;
}
/* General body styling */

/* Title Styling */


/* Filter Form Styling */
.filter-form {
    margin: 30px 0;
    text-align: center;
}

.filter-label {
    font-size: 1.1rem;
    color: #444;
    margin-right: 10px;
}

.filter-form select {
    padding: 12px;
    font-size: 1rem;
    border-radius: 8px;
    border: 1px solid #ffcc00; /* Warm yellow border */
    background-color: #fff4b8; /* Light yellow background */
    width: auto;
    transition: all 0.3s ease;
}

.filter-form select:focus {
    outline: none;
    border-color: #f44336; /* Red focus border */
    background-color: #fff0d4; /* Lighter yellow when focused */
}

/* Table Styling */
.table-responsive {
    max-width: 100%;
    margin: 20px auto;
}

.table {
    width: 100%;
    border-collapse: collapse;
    background-color: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 12px;
}

.table th, .table td {
    padding: 15px;
    text-align: left;
    font-size: 1rem;
}

.table th {
    background-color: #323541; /* Warm orange background for header */
    color: white;
    font-weight: bold;
}

.table td {
    background-color: #ffebcc; /* Light peach background for table cells */
}

.table td img {
    border-radius: 12px;
    max-width: 100px;
    max-height: 100px;
}

/* Table Row Styling */
.table-row:hover {
    background-color: #ffd54f; /* Light yellow hover effect */
    cursor: pointer;
}

/* Button Styling */



/* Mobile Responsiveness */
@media (max-width: 768px) {
    .table-responsive {
        margin: 10px;
    }

    .filter-form {
        margin-top: 10px;
    }

    .table th, .table td {
        font-size: 0.9rem;
        padding: 10px;
    }

    .btn {
        font-size: 0.9rem;
        padding: 6px 12px;
    }

    .img-fluid {
        max-width: 80px;
        max-height: 80px;
    }
}

/* Counts Display Styling */
.counts-display {
    display: flex;
    justify-content: space-around;
    margin: 20px 0;
    background-color: #ffcc80; /* Light warm yellow */
    padding: 15px;
    border-radius: 10px;
    font-size: 1.2rem;
    font-weight: bold;
    color: #444;
}

.counts-item {
    background-color: #fff0b3; /* Lighter yellow */
    padding: 10px 15px;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    width: 30%;
    text-align: center;
    font-size: 1.1rem;
}

.counts-item strong {
    color: #f44336; /* Warm red for emphasis */
}

.counts-item:hover {
    background-color: #fff4e0; /* Even lighter yellow on hover */
}

</style>

          	<div class="clearfix"> </div>





            <?
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$hostname = $_AVOS['config']['mysql']['hostname'];
$username = $_AVOS['config']['mysql']['username'];
$password = $_AVOS['config']['mysql']['password'];
$dbname = $_AVOS['config']['mysql']['database'];

// Create connection
$conn = new mysqli($hostname, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}
$photosId = 1;

// Fetch the existing meta information for the specified video ID
// Fetch the existing meta information for the specified video ID
$selectSql = "SELECT meta_title, meta_description, meta_keywords, meta_photos_id FROM photos WHERE meta_photos_id = ?";
if ($selectStmt = $conn->prepare($selectSql)) {
    $selectStmt->bind_param("i", $photosId);
    $selectStmt->execute();
    $selectStmt->bind_result($existingMetaTitle, $existingMetaDescription, $existingMetaKeywords, $existingMetaVideoId);
    $selectStmt->fetch();
    $selectStmt->close();
} else {
    echo "Error in preparing SELECT statement: " . $conn->error;
}

// Close the database connection
$conn->close();
?>



<div class="row">
						<h3 class="title1">Add Meta Information</h3>
						<div class="form-three widget-shadow">
							<form class="form-horizontal" method="post" action="?page=photos">
								<div class="form-group"> 
									<label for="focusedinput" class="col-sm-2 control-label">Meta Title</label>
									<div class="col-sm-8">
										<input type="text" class="form-control1" name="meta_title" id="focusedinput" value="<?= htmlspecialchars($existingMetaTitle) ?>" required>
									</div>
									<div class="col-sm-2">
										<p class="help-block">Meta for Photos index page!</p>
									</div>
								</div>
                <div class="form-group">
									<label for="focusedinput" class="col-sm-2 control-label">Meta Keywords</label>
									<div class="col-sm-8">
										<input type="text" class="form-control1" id="focusedinput" name="meta_keywords" value="<?= htmlspecialchars($existingMetaKeywords) ?>" required>
									</div>
									<div class="col-sm-2">
										<p class="help-block">Meta for Keywords index page!</p>
									</div>
</div>
								<div class="form-group">
									<label for="txtarea1" class="col-sm-2 control-label">Meta Description Photos Index</label>
									<div class="col-sm-8"><textarea name="meta_description" id="txtarea1" cols="50" rows="40" class="form-control1" required style="height:70px;"> <?= htmlspecialchars($existingMetaDescription) ?></textarea></div>
								</div>
								
                <input type="hidden" name="meta_photos_id" value="<?= $photosId ?>">
								
								
								<button type="submit" class="btn btn-default">Add Meta Information</button>
                <p class="help-block" style="color:red">Refresh the page to see the new data from the meta <button type="button" class="label label-danger hvr-icon-spin" onclick="refreshPage()">Refresh Page</button>
</p>
							</form>
              <p class="help-block" style="color:red">Will appear as a broken image; never publish or delete it.</p>
						</div>
            
					</div>

          <script>
    function refreshPage() {
        location.reload(true); // Reloads the page from the server, forcing cache refresh
    }
</script>
<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

$hostname = $_AVOS['config']['mysql']['hostname'];
$username = $_AVOS['config']['mysql']['username'];
$password = $_AVOS['config']['mysql']['password'];
$dbname = $_AVOS['config']['mysql']['database'];

// Create connection
$conn = new mysqli($hostname, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}


if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['meta_title']) && isset($_POST['meta_description']) && isset($_POST['meta_keywords'])) {
  $metaTitle = $_POST['meta_title'];
  $metaDescription = $_POST['meta_description'];
  $metaKeywords = $_POST['meta_keywords'];
  $metaPhotoId = $_POST['meta_photos_id'];

  // Check if a record with the given meta_photos_id already exists
  $checkSql = "SELECT COUNT(*) FROM photos WHERE meta_photos_id = ?";

  if ($checkStmt = $conn->prepare($checkSql)) {
      $checkStmt->bind_param("i", $metaPhotoId);
      $checkStmt->execute();
      $checkStmt->bind_result($count);
      $checkStmt->fetch();
      $checkStmt->close();

      // Decide whether to insert or update based on the existence of the record
      if ($count > 0) {
          // Update existing record
          $sql = "UPDATE photos SET meta_title = ?, meta_description = ?, meta_keywords = ? WHERE meta_photos_id = ?";
      } else {
          // Insert new record
          $sql = "INSERT INTO photos (meta_title, meta_description, meta_keywords, meta_photos_id) VALUES (?, ?, ?, ?)";
      }
     // $sql = "INSERT INTO photos (meta_title, meta_description, meta_keywords, meta_photos_id) VALUES (?, ?, ?, ?)";
    
      // Prepare and execute the statement with error handling
      if ($stmt = $conn->prepare($sql)) {
        $stmt->bind_param("sssi", $metaTitle, $metaDescription, $metaKeywords, $metaPhotoId);
        
          if ($stmt->execute()) {
              echo "Meta information updated/inserted successfully!";
          } else {
              echo "Error in executing SQL statement: " . $stmt->error;
          }

          // Close the statement
          $stmt->close();
      } else {
          // Handle the case where prepare() failed
          echo "Error in preparing SQL statement: " . $conn->error;
      }
  } else {
      // Handle the case where prepare() for checking record existence failed
      echo "Error in preparing SQL statement for checking record existence: " . $conn->error;
  }
}

// Close the database connection
$conn->close();
?>






<h2 class="title1">Photo Galleries-------</h2>

<div class="blank-page widget-shadow scroll" id="style-2 div1">







    <!-- Filter Form Section -->
    <div class="filter-form">
        <form method="GET" action="">
            <input type="hidden" name="page" value="photos"> <!-- Add the page parameter here -->
            <label for="filter" class="filter-label">Filter by Status:</label>
            <select name="filter" id="filter" onchange="this.form.submit()">
                <option value="unpublished" <?= isset($_GET['filter']) && $_GET['filter'] == 'unpublished' ? 'selected' : '' ?>>Unpublished</option>
                <option value="published" <?= isset($_GET['filter']) && $_GET['filter'] == 'published' ? 'selected' : '' ?>>Published</option>
                <option value="all" <?= isset($_GET['filter']) && $_GET['filter'] == 'all' ? 'selected' : '' ?>>All</option>
            </select>
        </form>
    </div>
<!-- Counts Display Section -->
<div class="counts-display">
    <div class="counts-item">
        <strong>Total Photos:</strong> <?= count($photos); ?>
    </div>
    <div class="counts-item">
        <strong>Published:</strong> <?= count(array_filter($photos, fn($p) => $p['publishedon'] > 0)); ?>
    </div>
    <div class="counts-item">
        <strong>Unpublished:</strong> <?= count(array_filter($photos, fn($p) => $p['publishedon'] <= 0)); ?>
    </div>
</div>

    <!-- Photo Gallery Table Section -->
    <div class="table-responsive bs-example widget-shadow">
        <table class="table table-bordered">
            <thead>
                <tr class="table-header">
                    <th>#Id</th>
                    <th>Thumb</th>
                    <th>Published</th>
                    <th>Num Photos</th>
                    <th>Views</th>
                    <th>Title</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                <?php
                // Default: show unpublished photos if no filter is set
                $filter = isset($_GET['filter']) ? $_GET['filter'] : 'unpublished';

                // Filter the photos based on the selected filter
                foreach ($photos as $p):
                    // Apply filter condition
                    if ($filter == 'published' && $p['publishedon'] <= 0) continue;
                    if ($filter == 'unpublished' && $p['publishedon'] > 0) continue;
                ?>
                    <tr class="table-row">
                        <th scope="row"><?= $p['id'] ?></th>
                        <td>
                            <a href="?page=photos-edit&id=<?= $p['id'] ?>&filter=<?= $filter ?>">
                                <img src="<?= $p['photosPath'] ?><?= $p['mainPhoto'] ?>.jpg" width="100" height="100" class="img-fluid rounded-circle">
                            </a>
                        </td>
                        <td><?= $p['publishedon'] > 0 ? date('d M Y H:i:s', $p['publishedon']) : 'No'; ?></td>
                        <td><?= $p['numPhotos'] ?></td>
                        <td><?= $p['views'] ?></td>
                        <td><?= $p['title'] ?></td>
                        <td class="actions">
                            <a href="?page=photos-edit&id=<?= $p['id'] ?>&filter=<?= $filter ?>" class="btn btn-edit">
                                <i class="fa fa-pencil-square-o"></i> Edit
                            </a>
                            <br>
                            <a href='?page=photos&<?= $p['publishedon'] > 0 ? 'unpublish' : 'publish'; ?>=<?= $p['id'] ?>&filter=<?= $filter ?>' class="btn btn-toggle">
                                <i class="fa fa-toggle-off"></i> <?= $p['publishedon'] > 0 ? 'Unpublish' : 'Publish'; ?>
                            </a>
                            <br>
                            <a href="?page=photos&delete=<?= $p['id'] ?>&filter=<?= $filter ?>" onclick="return confirm('Delete Photo Gallery and Photos?')" class="btn btn-delete">
                                <i class="fa fa-trash"></i> Delete
                            </a>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</div>
