    <? include 'rightslide.php';?>
<div class="flex-1 pb-6 lg:ml-64 pt-20 px-2 lg:px-4 xl:px-6  lg:mr-16 flex justify-center">
  	<div class="w-full">
  <!--model top info-->
  <div id="cam-profile" class="hidden w-full ">
  <div class="rounded-xl shadow-md mb-4">
  	<header class="relative w-full z-10">
  		<figure class="w-full h-48 overflow-hidden bg-meg-secondary/50 rounded-t-xl">
        <img data-src="/assets/images/banner/default-banner-0.jpeg" alt="user-banner" class="w-full h-full object-cover rounded-t-lg lazyloaded"
        src="/assets/images/banner/default-banner-0.jpeg">
      </figure>
  		<div class="absolute left-0 bottom-0 translate-y-12 ml-8 bg-meg-secondary/50 rounded-full">
  			<div class="relative h-40 w-40">
          <? if ($model['numImages'] > 0): ?>

          <picture class="w-full h-full bg-black rounded-md shadow-md overflow-hidden 1 - -avatar" data-observer-id="96">
  					<div class="w-full h-full absolute top-0 left-0 user-avatar- -  rounded-full blur-none object-cover shadow-md w-full h-full">
            </div>
            <img width="128" height="128"
            alt="1 - "
            class="absolute top-0 left-0 object-contain high-res user-avatar-1 - rounded-full blur-none object-cover shadow-md w-full h-full visible"
            src="<?= $model['imagePath'] ?><?= $model['numImages'] ?>.webp">

            <img src="<?= $model['imagePath'] ?><?= $model['numImages'] ?>.webp"
             width="128" height="128" alt=""
             loading="lazy" class="absolute top-0 left-0 object-contain transition duration-100 ease-in delay-75 user-avatar-1 -  rounded-full blur-none object-cover shadow-md w-full h-full opacity-0">
           </picture>
  <? endif; ?>

  			</div>
  		</div>
  	</header>
  	<div class="bg-gradient-to-br  from-white/30 to-white/5 border-r border-b border-white/1 w-full flex   px-4 md:px-8 md:flex-wrap justify-between lg:flex-nowrap rounded-b-lg">
  		<div class="pt-4 pl-4">
  			<div class="w-full flex items-center text-white pl-36">
  				<h1 aria-describedby="ozL0" tabindex="-1" class="font-sans text-2xl font-bold text-white" style="overflow-wrap: break-word;">
<?= $model['name'] ?> - <?= $model['site'] ?>
</h1> <sup class="ml-1"><?= $model['age'] ?></sup></div>
          <div role="group" class="my-6 !justify-center flex justify-end space-x-0">
    	<a href="<?= encodeRoomLink($model['site'], $model['nickname']); ?>" class="undefined !rounded-none mx-0 !rounded-l-md min-w-medium text-base px-5 py-2.5 bg-meg-primary-400 hover:bg-meg-primary focus:ring focus:ring-meg-primary-300/50 transition-colors transition-opacity font-semibold outline-none rounded-lg text-center outline-none">
    		<p aria-describedby="O5n2" tabindex="-1" class="font-sans  text-white" style="overflow-wrap: break-word;"><span class="flex items-center gap-2"><i class="fas fa-comment-dots" aria-hidden="true"></i> <span class="text-sm md:whitespace-nowrap">Join Show</span></span>
    		</p>
    	</a>
    	<a href="<?= encodeRoomLink($model['site'], $model['nickname']); ?>" id="btn-follow" class="w-32 !rounded-none mx-0 min-w-medium text-base px-5 py-2.5 bg-meg-info-400 hover:bg-meg-info focus:ring focus:ring-meg-info-300/50 transition-colors transition-opacity font-semibold outline-none rounded-lg text-center outline-none">
    		<p aria-describedby="cWHS" tabindex="-1" class="font-sans  text-white" style="overflow-wrap: break-word;"><span aria-describedby="SK0a" tabindex="-1" class="text-sm flex justify-center items-center gap-2 font-sans  text-white" style="overflow-wrap: break-word;"><i class="far fa-heart mt-0.5" aria-hidden="true"></i> <span class="md:whitespace-nowrap">Follow</span></span>
    		</p>
    	</a>
    	<a href="<?= encodeRoomLink($model['site'], $model['nickname']); ?>" class="rounded-l-none !rounded-none mx-0 !rounded-r-md min-w-medium text-base px-5 py-2.5 bg-meg-success-400 hover:bg-meg-success focus:ring focus:ring-meg-success-300/50 transition-colors transition-opacity font-semibold outline-none rounded-lg text-center outline-none">
    		<p aria-describedby="tm3F" tabindex="-1" class="font-sans  text-white" style="overflow-wrap: break-word;"><span class="flex items-center justify-center gap-2"><i class="fas fa-donate" aria-hidden="true"></i> <span class="text-sm md:whitespace-nowrap">Tip</span></span>
    		</p>
    	</a>
    </div>
  		</div>
  		<div class="flex justify-between sm:py-4" id="modelinfo">
  			<div class="w-full flex flex-wrap justify-evenly items-center lg:gap-x-6 gap-y-4">
<span class="flex flex-col gap-1 items-center sm:w-1/2 lg:w-auto">
  <strong aria-describedby="UULi" tabindex="-1" class="font-sans text-base font-semibold text-white" style="overflow-wrap: break-word;">
    <i class="mr-1 fas fa-globe-americas" aria-hidden="true"></i> Speaks</strong>
     <span class="text-white">en</span></span>
     <span class="flex flex-col gap-1 items-center sm:w-1/2 lg:w-auto">
       <strong aria-describedby="q7fQ" tabindex="-1" class="font-sans text-base font-semibold text-white" style="overflow-wrap: break-word;">
         <i class="mr-1 fal fa-signal-stream" aria-hidden="true"></i> Gender</strong>
          <span aria-describedby="MSva" tabindex="-1" class="font-sans  text-white" style="overflow-wrap: break-word;"><?= $model['gender']; ?></span>
        </span>
        <span class="flex flex-col gap-1 items-center sm:w-1/2 lg:w-auto">
          <strong aria-describedby="kluh" tabindex="-1" class="font-sans text-base font-semibold text-white" style="overflow-wrap: break-word;">
            <i class="mr-1 fas fa-fw fa-users" aria-hidden="true"></i> Fans</strong>
            <span aria-describedby="pzeE" tabindex="-1" class="font-sans  text-white" style="overflow-wrap: break-word;">
              <? if($model['followers'] != '0'): ?>
                <?= thousand_format( $model['followers'])?>

              <? else: ?>100<? endif; ?>
              </span>
          </span>
  			</div>
  		</div>
  	</div>
  </div>
  </div>
  <!-- model top info-->
		<div id="content-page" class="w-full  mx-auto flex flex-col items-center gap-4">
<!-- remove hidden-->

			<div class="w-full flex flex-col xl:flex-row gap-4" >
				<div class="group w-full">
					<div class="w-full bg-meg-secondary-900 overflow-hidden relative cursor-pointer flex justify-center shadow rounded aspect-video">
						<div style="width: 100%; height: 100%;" id="vjs_video_3" tabindex="-1" lang="en" translate="no" role="region">


            <?= encodeChatEmbed($model); ?>
						</div>
					</div>
					<!---->
				</div>

				<div class="w-full flex flex-col sm:flex-row xl:flex-col gap-4 xl:w-[300px]">
              <!-- extra info-->
					<section class=" bg-gradient-to-br from-white/30 to-white/5 border-r border-b border-white/1 p-4   rounded-md   shadow-md flex flex-col justify-between   flex-grow flex-grow">
						<div class="flex-grow flex flex-col justify-between gap-3 mb-2 sm:mb-0">
							<div>
								<div class="flex flex-wrap items-center gap-2"><strong aria-describedby="2PHd" tabindex="-1" class="font-sans text-base font-semibold text-white" style="display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical; overflow: hidden;">Room Subject</strong>
									<p aria-describedby="kOSm" tabindex="-1" class="text-sm font-medium px-1.5 py-0.5 rounded-md bg-white/25 whitespace-nowrap font-sans  text-white" style="overflow-wrap: break-word;"> topic </p>
								</div>
								<ul class="flex flex-wrap gap-1 justify-start flex-wrap overflow-y-auto">
									<li>
                    <span class="inline-flex items-center px-1.5 py-0.5 rounded text-xxs tracking-wide leading-0 uppercase text-sm text-white bg-meg-primary"><? if ($model['subject'] != ''): ?>
              <?=$model['subject']?>
                    <? else: ?>
                    Pink toy inside, do you want to tease me!
                    <? endif; ?></span>
                  </li>

<? if ($model['location'] != ''): ?>
                  <li>
                    <span class="inline-flex items-center px-1.5 py-0.5 rounded text-xxs tracking-wide leading-0 uppercase text-sm text-white bg-meg-primary">
                  <?=$model['location']?>

                  </span>
                  </li>
                    <?endif; ?>
  <? if ($model['languages'] != ''): ?>
                  <li>
          <span class="inline-flex items-center px-1.5 py-0.5 rounded text-xxs tracking-wide leading-0 uppercase text-sm text-white bg-meg-primary">
                    <?=$model['languages']?>
                  </span>
              </li>
    <?endif; ?>
    <li>
<span class="inline-flex items-center px-1.5 py-0.5 rounded text-xxs tracking-wide leading-0 uppercase text-sm text-white bg-meg-primary">
    <?= $m['hd'] ? 'HD+' : 'HD' ?>
    </span>
</li>


<li>
  <span class="inline-flex items-center px-1.5 py-0.5 rounded text-xxs tracking-wide leading-0 uppercase text-sm text-white bg-meg-primary">
<?=$model['gender']?>

</span>
</li>
<li>
  <span class="inline-flex items-center px-1.5 py-0.5 rounded text-xxs tracking-wide leading-0 uppercase text-sm text-white bg-meg-primary">
    Fans:  <? if($model['followers'] != '0'): ?>
      <?= thousand_format( $model['followers'])?>
    <? else: ?>100<? endif; ?>
</span>
</li>

<li>
  <span class="inline-flex items-center px-1.5 py-0.5 rounded text-xxs tracking-wide leading-0 uppercase text-sm text-white bg-meg-primary">
 <?=$model['site']?>
</span>


  <?php foreach ($model['tags'] as $tag ): ?>
<?if (strpos($tag, 'lovense') !== false) :?>
<li>
<span class="inline-flex items-center px-1.5 py-0.5 rounded text-xxs tracking-wide leading-0 uppercase text-sm text-white bg-meg-primary" id="toyslove">

</span>
</li>
<? endif;?>
        <? endforeach; ?>
										</ul>
							</div>
						</div>
					</section>
      <!-- extra info-->

          <section class=" bg-gradient-to-br from-white/30 to-white/5 border-r border-b border-white/1 p-4   rounded-md   shadow-md flex flex-col justify-between   flex-grow flex-grow">
          						<div class="flex-grow flex flex-col justify-between gap-3 mb-2 sm:mb-0">
          							<div>
          								<div class="flex flex-wrap items-center gap-2"><strong aria-describedby="2PHd" tabindex="-1" class="font-sans text-base font-semibold text-white" style="display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical; overflow: hidden;">Model Plays</strong>
          									<p aria-describedby="kOSm" tabindex="-1" class="text-sm font-medium px-1.5 py-0.5 rounded-md bg-white/25 whitespace-nowrap font-sans  text-white" style="overflow-wrap: break-word;"> HD </p>
          								</div>
          								<ul class="flex flex-wrap gap-1 justify-start flex-wrap overflow-y-auto">

                            <?php foreach ($model['tags'] as $tag ): ?>
                              <?php if (!empty($tag)):?>
                                <li><a href="/tag/<?=$tag?>/"><span class="inline-flex items-center px-1.5 py-0.5 rounded text-xxs tracking-wide leading-0 uppercase text-sm text-white bg-meg-primary">#<?= $tag ?></span></a></li>
                              <? endif; ?>
                            <? endforeach; ?>

          								</ul>
          							</div>
          							<div class="flex-grow flex justify-evenly gap-4 items-center">
          								<div class="flex items-center gap-2 cursor-pointer text-white opacity-80 transition duration-75 hover:opacity-100">
                            <i class="transition-transform duration-75 ease-in hover:animate-beat hover:scale-110 far fa-heart" aria-hidden="true"></i>
                            <span aria-describedby="bR39" tabindex="-1" class="text-xs font-sans  text-white" style="overflow-wrap: break-word;">
                            <?
                if ($model['age'] == "99") $model['age'] = '21'; if ($model['age']== "") $model['age'] = '24';if ($model['age'] == "0")$model['age'] = '27';
                            ?>
                          <?=$model['age']?>   years
            </span></div>
          								<div class="flex items-center gap-2 opacity-80">
                            <span aria-describedby="ztWc" tabindex="-1" class="font-sans  text-white text-xs" style="overflow-wrap: break-word;"><i class="fas fa-eye text-white" aria-hidden="true"></i>
          <?=$model['status']; ?>
            </span>
          </div>
          							</div>
          						</div>
          						<div class="pt-4 flex gap-2">

          							<div class="flex-grow flex flex-col gap-2"><a title="View profile" class="cursor-pointer outline-none overflow-hidden"><strong aria-describedby="Ln5K" tabindex="-1" class="font-sans text-base font-semibold text-white font-bold transition duration-150 hover:no-underlinetext-meg-warning-400 hover:text-meg-warning-500 focus:text-meg-warning-500 " style="display: -webkit-box; -webkit-line-clamp: 1; -webkit-box-orient: vertical; overflow: hidden;">

                </strong></a>
          								<a href="<?= encodeRoomLink($model['site'], $model['nickname']); ?>" class="flex-grow min-w-small text-sm px-3 py-2 bg-meg-primary-400 hover:bg-meg-primary focus:ring focus:ring-meg-primary-300/50 transition-colors transition-opacity font-semibold outline-none rounded-lg text-center outline-none">
          									<p aria-describedby="hDWH" tabindex="-1" class="font-sans  text-white" style="overflow-wrap: break-word;"><i class="fas fa-comment-dots" aria-hidden="true"></i>
                              <span aria-describedby="hbdy" tabindex="-1" class="text-sm font-sans  text-white" style="overflow-wrap: break-word;">Chat</span></p>
          								</a>
          							</div>
          						</div>
          					</section>

					<div class="w-[300px] h-[250px] relative rounded-md shadow-md overflow-hidden self-center">
						<div class=" absolute left-0 top-0 w-full   h-full bg-gradient-to-br from-white/30 to-white/5 border-r border-b border-white/1 flex justify-center items-center   ">
							<div>

							</div>
						</div>
						<div class="absolute left-0 top-0">
							<div style="width: 300px; overflow: hidden; margin: auto; display: inline-block; height: 250px;">
								<style type="text/css">
								.eLALr662 {
									vertical-align: top;
									border: 0px solid #000000;
									display: inline-block;
									background-color: rgba(0, 0, 0, 0);
									margin: 0px 0px;
									padding: 0px 0px;
								}
								</style>



								<div class="eLALr662 " style="height: 250px; width: 300px; cursor: pointer;">
<a href="<?= encodeRoomLink($model['site'], $model['nickname']); ?>" class="relative group ">
                  <img src="<?= $model['imagePath'] ?><?= $model['numImages'] ?>.webp" width="250" height="300" alt="" loading="lazy" class="  w-full h-full ">
                </a>
              	</div>
							</div><ins data-zoneid="2801764" class="adsbyexoclick" data-processed="true"></ins></div>
					</div>
				</div>
			</div>





<!-- statistics-->

<div class="hidden w-full p-4 rounded-md shadow-md min-h-min bg-gradient-to-br from-white/30 to-white/5 border-r border-b border-white/1 w-full">
  <h5 aria-describedby="Qll6" tabindex="-1" class="mb-2 font-sans text-lg font-medium text-white" style="overflow-wrap: break-word;">Model statistics</h5>

<? //include 'stats.php'?>


</div>
<!--statistics-->

      <!-- galleries-->

			<div class=" w-full p-4 rounded-md shadow-md min-h-min bg-gradient-to-br from-white/30 to-white/5 border-r border-b border-white/1 w-full">
				<h5 aria-describedby="Qll6" tabindex="-1" class="mb-2 font-sans text-lg font-medium text-white" style="overflow-wrap: break-word;">Photos Models</h5>
				<div class="grid  grid-cols-2 sm:grid-cols-4 md:grid-cols-9 gap-1 portfolio-item row">



  <? for ($i = $model['numImages'] - 1; $i > 0; $i--): ?>
        	<a href="<?= $model['imagePath'] ?><?= $i ?>.webp"  id="lpop" class="relative group popup-btn contents" >
						<div id="mega-video-736" class="relative overflow-hidden w-full h-full rounded-lg object-cover flex justify-center items-center bg-black" >
							<div id="vjs_video_508" class="video-js w-full absolute h-auto cursor-pointer vjs-paused vjs-controls-disabled vjs-workinghover vjs-v7 vjs-user-active vjs_video_508-dimensions" tabindex="-1" lang="en" translate="no" role="region">
  <img  class="vjs-poster"  tabindex="-1" aria-disabled="false"  src="<?= $model['imagePath'] ?><?= $i ?>.webp" />
            	</div>
						</div>
  </a>
          <? endfor; ?>

  <div class=" controls  overflow-hidden w-full h-full rounded-lg object-cover flex justify-center items-center" >
          <a href="#" id="showMore" class="w-full meg-text-icon min-w-medium text-base px-5 py-2.5 bg-meg-primary-400 hover:bg-meg-primary focus:ring focus:ring-meg-primary-300/50 transition-colors transition-opacity font-semibold outline-none rounded-lg text-white text-center outline-none">
          <i class="fa fa-picture-o" aria-hidden="true"></i>More+
 </a>
</div>
<div class=" controls  overflow-hidden w-full h-full rounded-lg object-cover flex justify-center items-center">
  <a href="#" id="showLess" class="w-full meg-text-icon min-w-medium text-base px-5 py-2.5 bg-meg-primary-400 hover:bg-meg-primary focus:ring focus:ring-meg-primary-300/50 transition-colors transition-opacity font-semibold outline-none rounded-lg text-white text-center outline-none">Show less </a>

 </div>
<script>
$(document).ready(function() {
    var images = $("#lpop > div").hide(), x = 1;
    var showMore = $('#showMore');
    var showLess = $('#showLess');
    var funcs = {
       'showMore': function() { ++x; show(); },
       'showLess': function() { --x; show(); }
    }
    $('.controls').on('click', 'a', function(e){
        return (funcs[e.target.id] || function(){})(), false;
    });
    function show() {
        images.hide().filter(function(i){ return i < (x * 10); }).show();
        showMore.show().filter(function(){ return !images.is(':hidden'); }).hide();
        showLess.show().filter(function(){ return x === 31; }).hide();
    }
    show();
});

</script>


        </div>
			</div>











<!-- galleries-->








<!-- small iframe -->
<!--
      <a href="" class="
                relative flex flex-col z-10 rounded-lg overflow-hidden shadow sm:fixed sm:bottom-0 sm:right-0 sm:mr-20 mt-2 mb-4 sm:mb-16 md:mb-8 w-full max-w-lg mx-auto">
      	<button type="button" aria-label="Close" class="   z-20 absolute top-16 h-6 w-6 flex items-center justify-center   md:top-2 right-2 text-gray-900 bg-meg-warning-400 rounded-md ">
          <i class="fas fa-times mt-0.5" aria-hidden="true"></i>
        </button>
      	<div class="bg-meg-secondary/50">
      		<iframe scrolling="no" src="https://.com/in/?track=embed&tour=dU9X&campaign=v2cFu&signup_notice=1&disable_sound=1&mobileRedirect=never" height="300px" width="100%" style="border: none;"></iframe>
      	</div>
      	<button type="submit" class="w-full rounded-none order-first md:order-last min-w-medium text-base px-5 py-2.5 bg-meg-warning-400 hover:bg-meg-warning focus:ring focus:ring-meg-warning-300/50 transition-colors transition-opacity font-semibold outline-none rounded-lg text-center outline-none">
      		<p aria-describedby="wZX5" tabindex="-1" class="font-sans  text-white text-black" style="overflow-wrap: break-word;"><span class="w-full flex items-center justify-center text-lg uppercase tracking-wider"><svg viewBox="0 0 20 21" fill="none" xmlns="http://www.w3.org/2000/svg" class="mr-2 h-8 w-8"><path fill-rule="evenodd" clip-rule="evenodd" d="M10 18.5C12.1217 18.5 14.1566 17.6571 15.6569 16.1569C17.1571 14.6566 18 12.6217 18 10.5C18 8.37827 17.1571 6.34344 15.6569 4.84315C14.1566 3.34285 12.1217 2.5 10 2.5C7.87827 2.5 5.84344 3.34285 4.34315 4.84315C2.84285 6.34344 2 8.37827 2 10.5C2 12.6217 2.84285 14.6566 4.34315 16.1569C5.84344 17.6571 7.87827 18.5 10 18.5ZM9.555 7.668C9.4044 7.56752 9.22935 7.50981 9.04852 7.50103C8.86769 7.49224 8.68786 7.53272 8.52823 7.61813C8.3686 7.70354 8.23516 7.83068 8.14213 7.98599C8.04909 8.1413 7.99997 8.31896 8 8.5V12.5C7.99997 12.681 8.04909 12.8587 8.14213 13.014C8.23516 13.1693 8.3686 13.2965 8.52823 13.3819C8.68786 13.4673 8.86769 13.5078 9.04852 13.499C9.22935 13.4902 9.4044 13.4325 9.555 13.332L12.555 11.332C12.692 11.2407 12.8043 11.117 12.8819 10.9718C12.9596 10.8267 13.0002 10.6646 13.0002 10.5C13.0002 10.3354 12.9596 10.1733 12.8819 10.0282C12.8043 9.88304 12.692 9.75932 12.555 9.668L9.555 7.668Z" fill="currentColor"></path></svg> <span>Join The Show</span></span>
      		</p>
      	</button>
      </a>

-->

<!-- //small iframe -->






<!-- add photos popup-->


<style>

.portfolio-menu{
  text-align:center;
}
.portfolio-menu ul li{
  display:inline-block;
  margin:0;
  list-style:none;
  padding:10px 15px;
  cursor:pointer;
  -webkit-transition:all 05s ease;
  -moz-transition:all 05s ease;
  -ms-transition:all 05s ease;
  -o-transition:all 05s ease;
  transition:all .5s ease;
}

.portfolio-item{
  /*width:100%;*/
}
.portfolio-item .item{
  /*width:303px;*/
  float:left;
  margin-bottom:10px;
  padding-right: 1rem;
}


</style>
<script>
// $('.portfolio-item').isotope({
//  	itemSelector: '.item',
//  	layoutMode: 'fitRows'
//  });
 $('.portfolio-menu ul li').click(function(){
  $('.portfolio-menu ul li').removeClass('active');
  $(this).addClass('active');

  var selector = $(this).attr('data-filter');
  $('.portfolio-item').isotope({
    filter:selector
  });
  return  false;
 });
 $(document).ready(function() {
 var popup_btn = $('.popup-btn');
 popup_btn.magnificPopup({
 type : 'image',
 gallery : {
  enabled : true
 }
 });
 });

</script>


<!--photos popup-->



<?php include 'related.php';?>
</div>
	</div>
</div>

<script>

$(window).scroll(function(){
    if($(document).scrollTop()>=$(document).height()/100)
        $("#spopup").show("slow");else $("#spopup").hide("slow");
});
function closeSPopup(){
    $('#spopup').hide('slow');
}
</script>
<a href="javascript:void(0);" onclick="return closeSPopup();" id="spopup" style="display: none;" class="relative flex flex-col z-10 rounded-lg overflow-hidden shadow sm:fixed sm:bottom-0 sm:right-0 sm:mr-20 mt-2 mb-4 sm:mb-16 md:mb-8 w-full max-w-xxs  mx-auto">
  <button  aria-label="Close" type="button" class="z-20 absolute top-16 h-6 w-6 center md:top-2 right-2">
  		<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="20px" height="32px" viewBox="0 0 20 32" version="1.1" class="text-meg-danger-400
          fill-gray-900 hover:fill-gray-700 transitions-color cursor-pointer transition-transform ease-in-out duration-300 hover:-rotate-45 ">
  			<g>
  				<path fill="currentColor" d="M 19.507812 23.4375 C 20.09375 24.023438 20.09375 24.972656 19.507812 25.558594 C 18.921875 26.144531 17.96875 26.144531 17.386719 25.558594 L 10 18.117188 L 2.5625 25.554688 C 1.976562 26.140625 1.027344 26.140625 0.441406 25.554688 C -0.144531 24.96875 -0.144531 24.019531 0.441406 23.433594 L 7.882812 16 L 0.4375 8.507812 C -0.144531 7.921875 -0.144531 6.96875 0.4375 6.386719 C 1.023438 5.800781 1.976562 5.800781 2.558594 6.386719 L 10 13.882812 L 17.4375 6.445312 C 18.023438 5.859375 18.972656 5.859375 19.558594 6.445312 C 20.144531 7.03125 20.144531 7.980469 19.558594 8.566406 L 12.117188 16 Z M 19.507812 23.4375 "></path>
  			</g>
  		</svg>
  	</button>
<div class=" bg-meg-secondary/50" ><?= encodeChatEmbed($model); ?>  </div>
</a>
