
    <style>
        header {
            background-color: <?= $navbarBGColor;?>;
            color: <?= $menuLinkColor?>;
            padding: 20px;
            text-align: center;
        }
        header h1 {
            margin: 0;
            font-size: 2.5em;
        }
        main {
            max-width: 1200px;
            margin: 20px auto;
            padding: 20px;
            background: #fff;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            border-radius: 8px;
            position: relative;
        }
        section {
            margin-bottom: 30px;
        }
        .banner {
            margin: 20px 0;
            text-align: center;
        }
        .banner img {
            max-width: 100%;
            height: auto;
            border-radius: 8px;
        }
        .sponsors {
            display: flex;
            flex-wrap: wrap;
            gap: 20px;
            justify-content: space-between;
        }
        .sponsor-square, .sponsor-horizontal {
            text-align: center;
            padding: 10px;
            background: #f9f9f9;
            border: 1px solid #ddd;
            border-radius: 8px;
            margin-bottom: 20px;
        }
        .sponsor-square img, .sponsor-horizontal img {
            max-width: 100%;
            height: auto;
            border-radius: 5px;
        }
        .sponsor-vertical {
    position: fixed; /* Keeps it fixed in place */
    top: 100px; /* Ensures it starts below the header */
    right: 10px; /* Positions it slightly away from the right edge */
    z-index: 10; /* Places it above most elements but below the header */
    display: none; /* Initially hidden for mobile */
}

        .sponsor-vertical img {
            max-width: 100%;
            height: auto;
            border-radius: 5px;
        }
        .sponsor-vertical p {
            margin: 10px 0 0;
            font-size: 0.9em;
        }
        footer {
            background-color: #333;
            color: #fff;
            text-align: center;
            padding: 10px;
        }
        footer a {
            color: #ff4757;
            text-decoration: none;
        }
        .sitemap {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
            gap: 15px;
            padding: 20px;
            background-color: #f4f4f9;
        }
        .sitemap a {
            text-decoration: none;
            color: #333;
            font-weight: bold;
        }
        .content-layout {
            display: flex;
            flex-wrap: wrap;
            gap: 20px;
            align-items: center;
        }
        .content-layout img {
    width: auto;
    height: 250px;
    object-fit: cover;
    border-radius: 8px;
}
        .content-layout .text-content {
            flex: 1;
        }
        
        @media (min-width: 768px) {
            .sponsor-vertical {
                display: block; /* Show on tablets and larger screens */
            }
        }

        /* Styling each cam site link */
.site-link {
   
    color: <?= $pageTextDescription?>;
    text-decoration: none;
 
}

/* Hover effect for the links */
.site-link:hover {
  
    transform: translateY(-3px);
    color: <?= $pageTextDescription?>;
}



.rwd-media {
    position: relative;
    width: 100%;
    height: 0;
    padding-bottom: 56.25%;
}



    </style>


    <header>
        <h1>About <?= $sitename;?></h1>
        <p>Your gateway to the world of webcam entertainment.</p>
    </header>

    <main>
        <section>
            <h2>Who We Are</h2>
            <div class="content-layout">
                <img src="/share/about/about-us.png" alt="About Us">
                <div class="text-content">
                <h3>Welcome to <?= $sitename;?> – Your Premier Hub for Webcam Entertainment</h3>
    <p>At <?= $sitename;?>, we pride ourselves on being the leading platform for discovering and promoting top webcam models across the most prominent adult streaming sites, including
         <?php foreach ($sites as $name => $s): ?>
        <a class="site-link" href="<?= encodeRoomLink($s['fullname']) ?>">
            <span class="site-name"><?= htmlspecialchars($s['fullname']) ?></span> 
            <span class="site-count">(<?= $s['online'] ?> models)</span>
        </a>
    <?php endforeach; ?>,
     and more. We curate an extensive selection of models, ensuring you have access to the most captivating live performances, exclusive content, and interactive experiences available in the industry.</p>
    
    <p>Our mission is to bridge the gap between viewers and performers by offering seamless navigation to an extensive network of top-tier webcam talent. Whether you're looking for intimate solo shows, couples' performances, or specialized adult content, <?= $sitename;?> connects you to a rich variety of talent tailored to meet your preferences.</p>
    
    
    <p><?= $sitename;?> is your trusted gateway to the best in adult webcam entertainment. Explore, enjoy, and discover the models and content that will keep you coming back for more.</p>

              
              
              
              
                </div>
            </div>
            <div class="banner">
            <img  src="<?= $websitesLogoPage ?>" alt="Logo"  class="setlogo"  loading="lazy"/>
            </div>
        </section>

        <section>
      
            
        <h4>Join us and explore a world of:</h4>
<ul>
    <li><strong>Live Webcam Shows</strong>: Immerse yourself in a thrilling array of live webcam shows, where you can enjoy high-quality, interactive streaming featuring professional models from top adult platforms such as Chaturbate, Stripchat, and Camsoda. Whether you're into intimate solo performances or electrifying couples' shows, our site ensures a rich and dynamic experience tailored to your preferences.</li>
    <li><strong>Exclusive Content</strong>: Unlock access to an extensive collection of exclusive, premium content that you won’t find anywhere else. From captivating videos and stunning photo galleries to behind-the-scenes footage and special live show recordings, we offer an unparalleled selection for dedicated fans and curious newcomers alike.</li>
    <li><strong>Real-Time Interaction</strong>: Elevate your experience by connecting with models in real time, making each encounter truly personal. Our platform allows you to chat, interact, and create unforgettable moments with your favorite performers, making you feel like an integral part of the show. Engage, play, and let the excitement unfold as you share moments that go beyond the screen.</li>
    <li><strong>Industry Insights</strong>: Stay ahead of the curve with our comprehensive blogs and articles, offering in-depth coverage on industry trends, expert tips for choosing the perfect model, and updates on the latest adult entertainment news. Whether you’re new to the world of webcams or a seasoned viewer, our insights ensure you're always informed and ready to explore.</li>
    <li><strong>Model Reviews and Ratings</strong>: Choose the best entertainment with confidence by browsing detailed model reviews and ratings. Our transparent review system helps you discover top-rated performers, compare different models, and make well-informed decisions to enhance your viewing experience. Learn about performers' styles, interactions, and standout qualities to find exactly what you’re looking for.</li>
</ul>

        </section>

        <section>
            <h2>Featured Spotlight</h2>
            <div class="sponsors">
            <a href="https://chaturbate.com/in/?tour=3Mc9&campaign=<?=$_AVOS['config']['webcams']['Chaturbate']['affiliate'];?>&track=about<?= $sitename?>&redirect_to_room=-welcomepage-" style="display: block; text-decoration: none;">
    <div class="sponsor-square" style="width: 300px; height: 250px; display: flex; flex-direction: column; align-items: center; justify-content: center; border: 1px solid #ccc; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); overflow: hidden;">
        <img src="/share/about/chaturbate_token.webp" alt="Sponsor Square Banner" title="Chaturbate Token Banner" aria-label="Banner for Chaturbate Token" style="width: 100%; height: 100%; object-fit: cover;">
    </div>
</a>




<div class="sponsor-horizontal" style="width: 300px; height: 250px; text-align: justify; display: flex; flex-direction: column; align-items: center; justify-content: center; border: 1px solid #ccc; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); overflow: hidden;">
<div class="rwd-media">
        <?php include "chatHomeEmbed.php"; ?>
    </div> 
    <a class="tabsItems active" style="margin-top: 10px;" href="https://chaturbate.com/in/?tour=hr8m&campaign=HV0Jy&track=aboutJoin<?= $sitename;?>">Join Free Show!</a> 
</div>
<a href="https://go.xlirdr.com?action=showTokensGiveawayModalDirectLink&userId=<?=$_AVOS['config']['webcams']['StripChat']['affiliate'];?>&path=%2Fsignup%2Fuser&sourceId=about<?= $sitename?>
" style="display: block; text-decoration: none;">
<div class="sponsor-square" style="width: 300px; height: 250px; display: flex; flex-direction: column; align-items: center; justify-content: center; border: 1px solid #ccc; box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); overflow: hidden;">
    <img src="/share/about/50tk.webp" alt="Sponsor Square Banner" title="50 TK Sponsor Banner" aria-label="Banner for 50 TK" style="width: 100%; height: 100%; object-fit: cover;">
   </div>
         </a>
            
            </div>
            
        </section>

 
    </main>



