
<style>
	.announcement-banner[data-v-47daddb5] {
		position: fixed;
		z-index: 1039;
		width: 100%;
		right: auto;
		top: 54px;
		left: 0;
		padding: 0;
		margin: -1px 0 0;
		border-radius: 0;
		border: 0;
		background-color: #fff;
		border-radius: .3rem;
		box-shadow: 0 4px 7px 0 rgba(0, 0, 0, 0.3);
		-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
		text-align: center
	}
	
	.announcement-banner__card[data-v-47daddb5] {
		position: relative;
		display: flex;
		flex-direction: column;
		min-width: 0;
		word-wrap: break-word;
		background-color: #fff;
		background-clip: border-box;
		border-radius: 0;
		border: 0
	}
	
	.announcement-banner__card-body[data-v-47daddb5] {
		display: flex;
		flex: 1 1 auto;
		flex-wrap: wrap;
		margin: 0 -7px;
		padding: 7px
	}
	
	.announcement-banner__card-body>div[data-v-47daddb5] {
		position: relative;
		width: 100%;
		min-height: 1px;
		padding: 0 7px
	}
	
	.announcement-banner__card-body .left-side[data-v-47daddb5] {
		flex: 0 0 41.6666666667%;
		max-width: 41.6666666667%
	}
	
	.announcement-banner__card-body .right-side[data-v-47daddb5] {
		flex: 0 0 58.3333333333%;
		max-width: 58.3333333333%
	}
	
	.announcement-banner__card-body .subtitle[data-v-47daddb5] {
		margin-bottom: 14px;
		color: #737373;
		line-height: 12px;
		font-size: 12px;
        margin-top:20px
	}
	
	.announcement-banner__card-body .subtitle strong[data-v-47daddb5] {
		color: #ff4081
	}
	
	.announcement-banner__card-body img[data-v-47daddb5] {
		width: 100%
	}
	
	.announcement-banner__card-body h2[data-v-47daddb5] {
        margin: 10px 0 5px;
		font-size: 18px;
        line-height: 12px;
		text-align: center
	}
	
	.announcement-banner__card-footer[data-v-47daddb5] {
		display: flex;
		justify-content: space-between;
		align-items: center;
		border-radius: 0 0 3px 3px;
		background-color: <?= $navbarBGColor?>;
        color :<?= $menuLinkColor?>;
	}
	
	.announcement-banner__card-footer .btn-block[data-v-47daddb5] {
		padding: 7px 0;
		font-weight: 500;
		cursor: pointer;
        color :<?= $menuLinkColor?>;
	}

    .pifzoo{
    font-size: 12px;
    font-weight: 900;
    }
	
    .btn-highlight {
    color: <?= $tabsCategoriesMenuColor?>;
    background-image: none;
    background-color: <?= $tabsCategoriesMenuBackground?>;
    border-color: #ff4081;
}
	@media (min-width: 576px) {
		.announcement-banner[data-v-47daddb5] {
			right: 1%;
			left: auto;
			width: 402px;
			margin: -1px 0 0 0
		}
		.announcement-banner h2[data-v-47daddb5] {
			
			font-size: 21px
		}
		.announcement-banner .subtitle[data-v-47daddb5] {
			font-size: 14px
		}
		.announcement-banner__card[data-v-47daddb5] {
            background-color: <?= $bodyBackColor?>;
			border: 1px solid rgba(0, 0, 0, 0.125);
			border-radius: 4px
		}
	}
	
	.-has-notification .announcement-banner[data-v-47daddb5] {
		top: 108px
	}
    
    .announcement-banner__card-body img[data-v-47daddb5] {
    width: 100%;
    height: 120px;
    border-radius: 10px;
}
.close-btn {
    background-color: transparent;
    border: none;
    color: <?= $navbarBGColor?>;
    cursor: pointer;
    font-size: 16px; /* Adjust the font size to make it smaller */
    width: 30px; /* Adjust the width to make it smaller */
    height: 30px; /* Adjust the height to make it smaller */
    line-height: 30px; /* Center the 'X' vertically */
    text-align: center; /* Center the 'X' horizontally */
    position: absolute;
    top: 0px;
    right: 0px;
    z-index: 9999; /* Ensure it's above other elements */
}

.announcement-banner__card-footer a {
    text-decoration: none; /* Remove underline */
    color: inherit; /* Use the default text color */
}

.announcement-banner__card-footer a:hover {
    text-decoration: none; /* Remove underline on hover */
    color: inherit; /* Maintain the default text color on hover */
}



.announcement-banner {
    /* Add your sparkly background effect here */
    background-image: url('sparkle-background.png'); /* Replace 'sparkle-background.png' with your sparkly background image */
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

	</style>

<?php
function getAnnouncementModels($key = 'announcementModels') {
    $vals = getTemplateValues();

    if (!isset($vals[$key])) {
        return [];
    }

    $models = [];
    foreach (explode(',', $vals[$key]) as $m) {
        if (preg_match('!^(\w\w):([\w\-\_]+)$!', $m, $c)) {
            $models[] = ['site' => $c[1], 'nickname' => $c[2]];
        }
    }

    $featured_best = [];
    if (!empty($models)) {
        $WHERE = [];
        foreach ($models as $model) {
            $WHERE[] = "(site='{$model['site']}' AND nickname='{$model['nickname']}')";
        }

        if (count($WHERE) > 0) {
            $WHERE = implode(' OR ', $WHERE);
            $queryResult = \Avos\Database\queryAssoc("SELECT * FROM webcams WHERE ($WHERE) AND status != 'o'");

            // Initialize variables to track the model with the highest viewers
            $maxViewers = 0;
            $maxViewersModel = null;

            foreach ($queryResult as $model) {
                // Check if current model has more viewers than the previous max
                if ($model['viewers'] > $maxViewers) {
                    $maxViewers = $model['viewers'];
                    $maxViewersModel = $model;
                }
            }

            // Add the model with the highest viewers to the featured_best array
            if ($maxViewersModel) {
                $maxViewersModel['featured_best'] = 1;
                $maxViewersModel['imagePath'] = \Avos\Utils\imagePath($maxViewersModel);
                $maxViewersModel['siteShortName'] = $maxViewersModel['site'];
                $maxViewersModel['siteShortNameCaps'] = ucfirst($maxViewersModel['site']);
                $maxViewersModel['site'] = \Avos\Scaffold\expandSiteName($maxViewersModel['site']);
                $maxViewersModel['status'] = \Avos\Scaffold\expandStatus($maxViewersModel['status']);
                $maxViewersModel['gender'] = \Avos\Scaffold\expandGender($maxViewersModel['gender']);
                $maxViewersModel['tags'] = str_replace(',', ', ', $maxViewersModel['tags']);
                $maxViewersModel['age'] = $maxViewersModel['age'] == 0 ? 18 : $maxViewersModel['age'];
                $maxViewersModel['viewers'] = $maxViewers; // Assign the highest viewers count

                $featured_best[] = $maxViewersModel;
            }
        }
    }

    return $featured_best;
}

$announcementModelsData = getAnnouncementModels('announcementModels');

$modelWithHighestViewers = null;
$maxViewers = 0;
foreach ($announcementModelsData as $model) {
    if ($model['viewers'] > $maxViewers) {
        $maxViewers = $model['viewers'];
        $modelWithHighestViewers = $model;
    }
}

$model = isset($model) ? $model : null;
$originalUrl = Avos\User\encodeRoomLink($model);

// Define the new text to add
$newText = '_announcement'; // Change this to the desired additional text

// Modify the 'track' parameter to add the new text next to the existing value
$modifiedUrl = preg_replace('/(?<=\btrack=)([^&]+)/', '$1' . $newText, $originalUrl);


// Display the announcement banner with the model having the highest viewers
if ($modelWithHighestViewers !== null && $url['name'] != 'webcamsProfile' && $announcementFeed > 0) :?>
   <div data-v-47daddb5="" data-v-6e2aaa72="" id="announcementBanner" class="announcement-banner hidden-xs" style="display: none;">
    <div data-v-47daddb5="" class="announcement-banner__card">
        <button id="closeBtn" data-v-47daddb5="" class="close-btn">X</button>
        <div data-v-47daddb5="" class="announcement-banner__card-body">
            <div data-v-47daddb5="" class="left-side">
                <img data-v-47daddb5 src="<?= ($model['numImages'] > 0 && empty($useLiveImages)) ? $model['imagePath'] . $model['numImages'] . '.webp' : $model['imageUrl'] ?>" alt="Announcement image"> 
            </div>
      <div data-v-47daddb5="" class="right-side">
              <h2 data-v-47daddb5="" class="h2"><?= $announcementTitle?></h2>
    <p data-v-47daddb5="" class="subtitle p-small"><?= $model['nickname']?> <?= $model['status']?> On <?= $model['site']?> </p>
                <a href=" <?= $modifiedUrl; ?>" class="btn btn-highlight btn-lg pifzoo"><?= $announcementButton;?></a>
            </div>
        </div>
        <? if ($model['subject'] != ''):?>
        <div data-v-47daddb5="" class="announcement-banner__card-footer">
            <a href="<?= $modifiedUrl; ?>" class="btn-link btn-block "><?= truncate($model['subject'], 63) ?>..</a>
        </div>
        <?endif;?>
    </div> 
</div>
<?elseif($announcementFeed == 0):?>

    <div data-v-47daddb5="" data-v-6e2aaa72="" id="announcementBanner" class="announcement-banner" style="display: none;">
    <div data-v-47daddb5="" class="announcement-banner__card">
        <button id="closeBtn" data-v-47daddb5="" class="close-btn">X</button>
        <div data-v-47daddb5="" class="announcement-banner__card-body">
            <div data-v-47daddb5="" class="left-side">
            <a href="<?= $announcementBannerLink; ?>">
                <img data-v-47daddb5 src="<?= $announcementBannerImage?>" alt="Announcement image"> 
</a>
            </div>
      <div data-v-47daddb5="" class="right-side">
              <h2 data-v-47daddb5="" class="h2"><?= $announcementBannerTitle?></h2>
    <p data-v-47daddb5="" class="subtitle p-small"><?= $announcementBannerSubject?> </p>
                <a href="<?= $announcementBannerLink; ?>" class="btn btn-highlight btn-lg pifzoo"><?= $announcementButton;?></a>
            </div>
        </div>

        <div data-v-47daddb5="" class="announcement-banner__card-footer">
            <a href="<?= $announcementBannerLink; ?>" class="btn-link btn-block "> <?= $announcementBannerFooterText; ?></a>
        </div>

    </div> 
</div>

<?endif?>


<script>
document.addEventListener("DOMContentLoaded", function() {
    var announcementBanner = document.getElementById("announcementBanner");
    var closeBtn = document.getElementById('closeBtn');
    var isBannerClosed = localStorage.getItem('isBannerClosed');

    // Function to show the announcement banner after a dynamic delay
    function showAnnouncementBanner() {
        announcementBanner.style.display = "block";
    }

    // Check if the banner was previously closed
    if (isBannerClosed === 'true') {
        announcementBanner.style.display = 'none';
    } else {
        // Show the banner after a dynamic delay if it's the user's first visit
        <?php
            // Set your PHP variable here
            
            // Echo the PHP variable into the JavaScript code
            echo "setTimeout(showAnnouncementBanner, $announcementDelayMilliseconds);";
        ?>
    }

    // Event listener for closing the banner
    closeBtn.addEventListener('click', function() {
        // Set a flag in local storage indicating that the banner is closed
        localStorage.setItem('isBannerClosed', 'true');
        announcementBanner.style.display = 'none';
    });
});
</script>


