




<style>

@import url("https://fonts.googleapis.com/css2?family=Kalam:wght@400&display=swap");


body {
	position: relative;
	color: #222;
	
	min-height: 100vh;
	overflow-x: hidden;
	background-image: url("https://images.unsplash.com/photo-1531685250784-7569952593d2?crop=entropy&cs=srgb&fm=jpg&ixid=M3wzMjM4NDZ8MHwxfHJhbmRvbXx8fHx8fHx8fDE2OTMyOTE2OTh8&ixlib=rb-4.0.3&q=100&w=3000");
	background-size: cover;
}
main {
	position: relative;
	display: block;
	justify-content: center;
	align-items: center;
	max-width: 100vw;
	min-height: 100vh;
	overflow-x: hidden;
}

img {
	-moz-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
	pointer-events: none;
}
#gallery {
	position: relative;
	left: calc(-1 * var(--adjust-size));
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
	gap: 20px;
	max-width: 100vw;
	padding: 20px;
	-webkit-perspective: 0;
	perspective: 0;
}
#gallery figure:nth-child(7n) {
	--duration: 1s;
	--pin-color: crimson;
}
#gallery figure:nth-child(7n + 1) {
	--duration: 1.8s;
	--pin-color: hotpink;
}
#gallery figure:nth-child(7n + 2) {
	--duration: 1.3s;
	--pin-color: magenta;
}
#gallery figure:nth-child(7n + 3) {
	--duration: 1.5s;
	--pin-color: orangered;
}
#gallery figure:nth-child(7n + 4) {
	--duration: 1.1s;
	--pin-color: darkorchid;
}
#gallery figure:nth-child(7n + 5) {
	--duration: 1.6s;
	--pin-color: deeppink;
}
#gallery figure:nth-child(7n + 6) {
	--duration: 1.2s;
	--pin-color: mediumvioletred;
}
#gallery figure:nth-child(3n) {
	--angle: 3deg;
}
#gallery figure:nth-child(3n + 1) {
	--angle: -3.3deg;
}
#gallery figure:nth-child(3n + 2) {
	--angle: 2.4deg;
}
#gallery figure:nth-child(odd) {
	--direction: alternate;
}
#gallery figure:nth-child(even) {
	--direction: alternate-reverse;
}
#gallery figure {
	--angle: 3deg;
	--count: 5;
	--duration: 1s;
	--delay: calc(-0.5 * var(--duration));
	--direction: alternate;
	--pin-color: red;

	position: relative;
	display: inline-block;
	margin: var(--adjust-size);
	padding: 0.5rem;
	border-radius: 5px;
	box-shadow: 0 7px 8px rgba(0, 0, 0, 0.4);
	width: 100%;
	height: auto;
	text-align: center;
	background-color: ghostwhite;
	background-image: url("https://images.unsplash.com/photo-1629968417850-3505f5180761?crop=entropy&cs=tinysrgb&fit=max&fm=jpg&ixid=M3wzMjM4NDZ8MHwxfHJhbmRvbXx8fHx8fHx8fDE2OTMzMjQ3ODJ8&ixlib=rb-4.0.3&q=80&w=500");
	background-size: cover;
	background-position: center;
	background-blend-mode: multiply;

	transform-origin: center 0.22rem;
	will-change: transform;
	break-inside: avoid;
	overflow: hidden;
	outline: 1px solid transparent;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}
#gallery.active figure {
	animation-duration: var(--duration), 1.5s;
	animation-delay: var(--delay),
		calc(var(--delay) + var(--duration) * var(--count));
	animation-timing-function: ease-in-out;
	animation-iteration-count: var(--count), 1;
	animation-direction: var(--direction), normal;
	animation-fill-mode: both;
	animation-name: swing, swingEnd;
}
#gallery figure:after {
	position: absolute;
	top: 0.22rem;
	left: 50%;
	width: 0.7rem;
	height: 0.7rem;
	content: "";
	background: var(--pin-color);
	border-radius: 50%;
	box-shadow: -0.1rem -0.1rem 0.3rem 0.02rem rgba(0, 0, 0, 0.5) inset;
	filter: drop-shadow(0.3rem 0.15rem 0.2rem rgba(0, 0, 0, 0.5));
	transform: translateZ(0);
	z-index: 2;
}
figure img {
	aspect-ratio: 1 /1;
	width: 100%;
	object-fit: cover;
	display: block;
	border-radius: 5px;
	margin-bottom: 10px;
	z-index: 1;
}
figure figcaption {
	font-size: 14px;
	font-weight: 400;
	z-index: 1;
}
figure h2 {
	color: crimson;
	font-size: 22px;
}
figure p {
	font-size: 17px;
}
figure small {
	font-size: 12px;
}
figure > div {
	width: 100%;
	height: 100%;
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
}
@keyframes swing {
	0% {
		transform: rotate3d(0, 0, 1, calc(-1 * var(--angle)));
	}
	100% {
		transform: rotate3d(0, 0, 1, var(--angle));
	}
}
@keyframes swingEnd {
	to {
		transform: rotate3d(0, 0, 1, 0deg);
	}
}
#info {
	position: relative;
	text-align: center;
	z-index: 1;
}
#info a {
	font-size: 1.1rem;
}
/*
@media (orientation: landscape) {
	#gallery {
		grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
	}
}
*/
@media (min-width: 800px) {
	#gallery {
		grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
	}
}



</style>


<?php


$model_day = \Avos\Database\queryAssoc("SELECT * FROM webcams WHERE status != 'o' AND gender != 'm'");



$currentDate = new DateTime(); // Current date

$modelsToday = [];
$modelsNext7Days = [];
$modelsNextMonth = [];

foreach ($model_day as $model) {
    $birthdayTimestamp = (int)$model['birthday'];

    // Skip models with birthday timestamp "0"
    if ($birthdayTimestamp == 0) {
        continue;
    }

    $birthdayDate = new DateTime("@$birthdayTimestamp");

    // Check if the birthday is today
    if ($birthdayDate->format('m-d') == $currentDate->format('m-d')) {
        $modelsToday[] = $model;
    }

    // Check if the birthday is within the next 7 days
    for ($i = 1; $i <= 7; $i++) {
        $nextDay = clone $currentDate;
        $nextDay->modify("+$i days");

        if ($birthdayDate->format('m-d') == $nextDay->format('m-d')) {
            $modelsNext7Days[$i][] = $model;
        }
    }

    // Check if the birthday month is the next month
    $nextMonth = clone $currentDate;
    $nextMonth->modify('first day of +1 month');

    if ($birthdayDate->format('m') == $nextMonth->format('m')) {
        $modelsNextMonth[] = $model;
    }
}

// Display models with birthday today
//echo "Models with birthday today:<br>";
foreach ($modelsToday as $model) {
    $birthdayDate = new DateTime("@{$model['birthday']}"); // Updated for each model
  // echo "Nickname: {$model['nickname']}, Birthday: {$birthdayDate->format('Y-m-d')} Site :{$model['site']}<br>";
}

// Display models with birthday in the next 7 days
//echo "<br>Models with birthday in the next 7 days:<br>";
for ($i = 1; $i <= 7; $i++) {
    $nextDay = clone $currentDate;
    $nextDay->modify("+$i days");
   // echo "For {$nextDay->format('Y-m-d')}:<br>";
    foreach ($modelsNext7Days[$i] ?? [] as $model) {
        $birthdayDate = new DateTime("@{$model['birthday']}"); // Updated for each model
    //    echo "- Nickname: {$model['nickname']}, Birthday: {$birthdayDate->format('Y-m-d')} Site :{$model['site']}<br>";
    }
}

// Display models with birthday in the next month
//echo "<br>Models with birthday in the next month:<br>";
foreach ($modelsNextMonth as $model) {
    $birthdayDate = new DateTime("@{$model['birthday']}"); // Updated for each model
   //echo "Nickname: {$model['nickname']}, Birthday: {$birthdayDate->format('Y-m-d')} Site :{$model['site']}<br>";
}
?>
<?php
    // Define maps
    $statusMap = array('o' => 'Offline', 'a' => 'Away', 'f' => 'Freechat', 'g' => 'Group', 'p' => 'Private');
    function mapSiteAbbreviation($abbreviation)
    {
        $siteMap = [
            'bc' => 'BongaCams',
            'cb' => 'Chaturbate',
            'cs' => 'CamSoda',
            'ff' => 'Flirt4Free',
            'sc' => 'StripChat',
            'sr' => 'Streamray',
            'lj' => 'LiveJasmin',
            'sm' => 'Streamate',
            'il' => 'ImLive',
            'so' => 'SoulCams',
            'cr' => 'Cherry',
        ];
    
        // Convert to lowercase to ensure case-insensitive matching
        $abbreviation = strtolower($abbreviation);
    
        return $siteMap[$abbreviation] ?? $abbreviation;
    }
    
    // Example usage:
    $model['site'] = mapSiteAbbreviation($model['site']);
    

    // Use the maps to get the corresponding values
    $statusLabel = $statusMap[$model['status']] ?? $model['status']; // Default to status if not found
    $siteLabel = $siteMap[$model['site']] ?? $model['site']; // Default to site if not found
    ?>


<h1 class="center-mobile mt5 p-small" style="margin-top:5px; font-size: 20px!important;"><?= $birthdayTitleCurentDay ?></h1>
<main>
    <div id="gallery">
    <?php
$notePosition = $birthdayPositionCurentDay; // Set the position where the note should be displayed
$modelsDisplayed = 0;
$todayBirthdays = false;
$uniqueNicknames = []; // Track displayed nicknames

foreach ($modelsToday as $model) {

    $model['site'] = mapSiteAbbreviation($model['site']);



    $birthdayDate = new DateTime("@{$model['birthday']}");

    // Check if the lowercase nickname has already been displayed
    // Check if the lowercase nickname has already been displayed
    $lowercaseNickname = strtolower($model['nickname']);
    if (in_array($lowercaseNickname, $uniqueNicknames)) {
        continue;
    }

    // Display the model
    ?>
    <figure>
        <?= mapSiteAbbreviation($model['site']); ?>
    <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? strtolower($siteMap[strtolower($model['site'])]) : ''), $model)); ?>" class="media-container">


  
        <img src="<?= $model['imageUrl'] ?>" title="Model <?=$model['nickname']?> is in <?= $statusLabel ?> on <?= $siteLabel ?>">
</a>
        <figcaption><?= $model['nickname'] ?></figcaption>
    </figure>

    <?php
    // Add the lowercase nickname to the displayed list
    $displayedNicknames[] = strtolower($model['nickname']);

    $modelsDisplayed++;

    // Check if there are birthdays today
    if ($birthdayDate->format('m-d') == $currentDate->format('m-d')) {
        $todayBirthdays = true;
    }

    // Display the note section at the specified position
    if ($modelsDisplayed == $notePosition) {
        ?>
        <figure><!-- note-->
            <div>
                <div>
                    
                  
<?php
    if ($todayBirthdays) {
        echo '<h2>' . $birthdayNoteMainTitle . '</h2>';
    } else {
        echo '<h2>No Birthdays Today</h2>';
    }
?>

                    <p> <?= $birthdayNoteCurentTitle?></p>
                    <p><br><small><?= $birthdayNoteCurentText1?> <br><p><?= $birthdayNoteCurentText2?></p></small></p>
                </div>
            </div>
        </figure>
    <?php
    }
}
?>

    </div>

    <h1 class="center-mobile mt5 p-small" style="margin-top:5px; font-size: 20px!important;"><?= $birthdayTitleNextDays?></h1>
<div id="gallery">
<?php
    $notePositionWeek = $birthdayPositionNextDay; // Set the position where the note should be displayed
    $modelsDisplayedWeek = 0;
    $uniqueNicknamesWeek = []; // Track displayed nicknames

    for ($i = 1; $i <= 7; $i++) {
        $nextDay = clone $currentDate;
        $nextDay->modify("+$i days");

        foreach ($modelsNext7Days[$i] ?? [] as $model) {
            $model['site'] = mapSiteAbbreviation($model['site']);
            $birthdayDate = new DateTime("@{$model['birthday']}"); // Updated for each model

            // Check if the lowercase nickname has already been displayed
            $lowercaseNickname = strtolower($model['nickname']);
            if (in_array($lowercaseNickname, $uniqueNicknamesWeek)) {
                continue;
            }
            ?>
            <figure>
            <?= mapSiteAbbreviation($model['site']); ?>
            <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $siteMap[strtolower($model['site'])] : ''), $model)); ?>" class="media-container">
  
                <img src="<?= $model['imageUrl'] ?>" title="Model <?=$model['nickname']?> is in <?= $statusLabel ?> on <?= $siteLabel ?>">
        </a>
                <figcaption><?= $model['nickname'] ?></figcaption>
            </figure>

            <?php
            // Add the lowercase nickname to the displayed list
            $uniqueNicknamesWeek[] = $lowercaseNickname;

            // Increment $modelsDisplayedWeek for each model
            $modelsDisplayedWeek++;

            // Display the note section at the specified position
            if ($modelsDisplayedWeek == $notePositionWeek) {
            ?>
                <figure><!-- note-->
                    <div>
                        <div>
                            <h2><?= $birthdayNoteNextMainTitle?></h2>
                            <p><?= $birthdayNoteNextTitle?></p>
                            <p><br><small><?= $birthdayNoteCNextText1?> <br><?= $birthdayNoteNextText2?></small></p>
                        </div>
                    </div>
                </figure>
            <?php
            }
        }
    }
?>


</div>

</main>




<script>

"use strict";
(function () {
	window.onload = () => {
		const obj = document.querySelector("#gallery");
		const time = 10000;
		function animStart() {
			if (obj.classList.contains("active") == false) {
				obj.classList.add("active");
				setTimeout(() => {
					animEnd();
				}, time);
			}
		}
		function animEnd() {
			obj.classList.remove("active");
			obj.offsetWidth;
		}
		document.addEventListener("scroll", function () {
			// scroll or scrollend
			animStart();
		});
		window.addEventListener("resize", animStart);
		animStart();
	};
})();

    </script>
