



<?php
if (isset($hideModelsCams) && $hideModelsCams) {
    $modelName = $model['nickname'];
    $countryCode = strtolower(\geoip_country_code_by_name($_SERVER['HTTP_X_REAL_IP']));
    // Define the target country code for redirection
    $targetCountryCode = "ro";
    // Convert the comma-separated string to an array
    $banmycam = explode(',', $hideModelsCams);
    // Check if the conditions for redirection are met
    if ($countryCode === $targetCountryCode && in_array($modelName, $banmycam)) {
        // Redirect to the home page or any other desired page
        header("Location: /");
        exit();
    }
}



$ranks = '';
?>

<h1 class="center-mobile mt5 p-small" style="margin-top:5px; font-size: 20px!important;">

<?php if($url['name'] == 'webcamsProfile'): ?>     
                        <?php if (isset($setModelPageMeta) && $setModelPageMeta == 'title'){
                          
                        echo $title;
                        } else {
                        echo $description;
                        }
                        ?>
                     <?php endif; ?>
  </h1>



<?php
// Get database configuration
$host = $_AVOS['config']['mysql']['hostname'];
$username = $_AVOS['config']['mysql']['username'];
$password = $_AVOS['config']['mysql']['password'];
$database = $_AVOS['config']['mysql']['database'];

// Establish database connection
$conn = new mysqli($host, $username, $password, $database);
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

//$user_id = $_SESSION['user_id'];

if (isset($_SESSION['user_id'])) {
  $user_id = $_SESSION['user_id'];
} else {
  $user_id = null; // Or handle the absence appropriately
}
//print_r($user_id);

// Handle adding/removing models to/from favorites
if (isset($_POST['action']) && isset($_POST['modelId'])) {
    $modelId = $_POST['modelId'];

    if ($_POST['action'] === 'add') {
        // Add the model to favorites
        $sql = "INSERT INTO userFavorites (user_id, model_id) VALUES ($user_id, $modelId)";
        if ($conn->query($sql) === TRUE) {
            echo "Model added to favorites successfully";
        } else {
            echo "Error adding model to favorites: " . $conn->error;
        }
    } elseif ($_POST['action'] === 'remove') {
        // Remove the model from favorites
        $sql = "DELETE FROM userFavorites WHERE user_id = $user_id AND model_id = $modelId";
        if ($conn->query($sql) === TRUE) {
            echo "Model removed from favorites successfully";
        } else {
            echo "Error removing model from favorites: " . $conn->error;
        }
    }
}




//check the favs
// Check if the user is logged in
if (isset($_SESSION['user_id'])) {
  // Get user ID from the session
  $user_id = $_SESSION['user_id'];
  
  // Assuming you have the user ID available (e.g., $_SESSION['user_id'])
  $favoriteModelIdsQuery = "SELECT model_id FROM userFavorites WHERE user_id = ?";
  $stmt = $conn->prepare($favoriteModelIdsQuery);
  $stmt->bind_param("i", $user_id);
  $stmt->execute();
  $result = $stmt->get_result();
  
  // Fetch and store favorite model IDs in an array
  $favoriteModelIds = [];
  while ($row = $result->fetch_assoc()) {
      $favoriteModelIds[] = $row['model_id'];
  }
  $stmt->close();
}
?>


<!--new-->

<style>


/*float embed profile page*/
.campreview-link.hide-campreview .campreview-toggle-size{
  display: block;
}


.user-header-v2 .user-header-top .avatar-and-buttons .avatar img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}
.user-header-v2 .username i.icon-ok-circle {
    color: rgb(0, 105, 0);
    font-size: 24px;
}

</style>
<?php if ($model['status'] == 'Offline'): ?>
  <?php
// Get the top model's details when the main model is offline
$offline_redirect = getWebcams(['site' => $model['siteShortName'], 'status' => 'f', 'count' => 1]);

// Initialize offline_link to a default value
$offline_link = 'https://chaturbate.com/in/?tour=41Ea&campaign=' . $_AVOS['config']['webcams']['Chaturbate']['affiliate'] . '&track=offline-cams-random'; // Default link

// Check if getWebcams returned a valid array with at least one element
if (is_array($offline_redirect) && !empty($offline_redirect)) {
    // Safely access the first element and encode the room link
    $offline_link = Avos\User\encodeRoomLink($offline_redirect[0]);
    
    // Parse the URL
    $url_parts = parse_url($offline_link);
    
    // Parse the query parameters and set a default for 'track'
    $query_params = [];
    if (isset($url_parts['query'])) {
        parse_str($url_parts['query'], $query_params);
    }

    // Replace the 'track' parameter with the desired value from $sitename
    $query_params['track'] = $sitename . '-offline-top'; // Use $sitename here

    // Build the final URL components
    $final_url = '';

    // Check for the presence of 'scheme' and 'host'
    if (isset($url_parts['scheme']) && isset($url_parts['host'])) {
        $final_url .= $url_parts['scheme'] . '://' . $url_parts['host'];
        
        // Append the 'path' if it exists
        if (isset($url_parts['path'])) {
            $final_url .= $url_parts['path'];
        }
        
        // Add the query string
        $final_url .= '?' . http_build_query($query_params);
    } else {
        // Handle the case where the URL is missing essential parts
        // You can set a fallback URL here or log an error for further investigation
        $final_url = 'https://chaturbate.com/in/?tour=41Ea&campaign=' . $_AVOS['config']['webcams']['Chaturbate']['affiliate'] . '&track=offline-cams-random'; // Replace with an appropriate fallback
    }

    // Set the offline link to the final constructed URL
    $offline_link = $final_url;
}


    // Check if required data is available
    if (isset($offline_redirect[0]) && 
        !empty($offline_redirect[0]['nickname']) && 
        !empty($offline_redirect[0]['site']) && 
        !empty($model['nickname'])) {
        
        // Use htmlspecialchars to prevent XSS
        $topModelNickname = ucfirst($offline_redirect[0]['nickname']);
        $site = htmlspecialchars($offline_redirect[0]['site']);
        $offlineModelNickname = htmlspecialchars(ucfirst($model['nickname']));
    ?>
    
    <span class="center-mobile mt5 p-small" style="font-size:14px!important;">
    Unfortunately, <b>
        <a class="text-description" href="<?= Avos\User\encodeRoomLink($model); ?>" 
           aria-label="Visit <?= htmlspecialchars($offlineModelNickname) ?>'s room" 
           title="<?= htmlspecialchars($offlineModelNickname) ?> is currently offline, enjoy your favorite shows! Please check back later for updates.">
           <?= $offlineModelNickname ?>
        </a>
    </b> is currently offline. 
    However, you can experience our top model, <b>
        <a class="text-description" href="<?= $offline_link; ?>" 
           aria-label="Visit <?= htmlspecialchars($topModelNickname) ?>'s room only on <?= htmlspecialchars($site) ?>" 
           title="<?= htmlspecialchars($topModelNickname) ?> is online now on <?= htmlspecialchars($site) ?> and ready to make you cum ">
           <?= $topModelNickname ?>
        </a>
    </b> from <b>
        <a class="text-description" href="<?= $offline_link; ?>" 
           aria-label="Visit <?= htmlspecialchars($site) ?> website Free Adult Webcams, Live Sex, Free Sex Chat, Exhibitionist &amp; Pornstar Free Cams" 
           title="Explore <?= htmlspecialchars($site) ?> the best site with free live sex models">
           <?= $site ?>
        </a>
    </b>, who shares similar features and is ready to entertain you with an exciting show!
</span>


    <?php } else { ?>
        <span class="center-mobile mt5 p-small">
            Enjoy your favorite shows! Please check back later for updates.
        </span>
    <?php } ?>
<?php endif; ?>





<? if ($modelProfileMain> 0): ?>
<div class="user-header-v2 white">
  <div class="user-header-top">
    <div class="background-image-container">
        <div class="background-image-blur-container">
          <?php if ($model['status'] != 'Offline')  { ?>
        <!-- Display online status image -->
        <img src="<?= ($model['numImages'] > 0 && empty($useLiveImages)) ? $model['imagePath'] . $model['numImages'] . '.webp' : $model['imageUrl'] ?>">
    <?php } else { ?>
        <!-- Display offline status image -->
        
        <img src=" <?= $modelMainBannerProfile ?>"> <!-- Replace "offline-image.jpg" with the path to your offline image -->
    <?php } ?>
        </div>

      <div class="info" style="display:block;color: black; background: gainsboro;">
     
<!--

            <?php
 if(!empty($statsDailyHours)){
$currentDate = date("jS F"); // Get the current date in the same format as your array

foreach ($days as $d) {
    $dateStr = $d['dateStr'];

    // Check if the date in the array matches the current date
    if ($dateStr === $currentDate) {
        echo '  <span class="info-active">Active ' . $d['timeStr'] . '</span>';
    }
}
 }
?>-->

            <? if ($model['rank'] > 0): ?>
                       
                        <span class="info-active">


                        Rank       
<b><?= $model['rank']?></b>

</span>
                              <? endif; ?>
           

                              <?php if (isset($model['followers']) && $model['followers'] > 0): ?>
    <span class="info-active"> 
        <b><?= thousand_format($model['followers']) ?></b>
        Followers
    </span>
<?php endif; ?>

<?php if (isset($model['views']) && $model['views'] > 0): ?>
    <span class="info-active">
        <b><?= thousand_format($model['views']) ?></b>
        Viewers
    </span>
<?php endif; ?>
      </div>
    </div>
    <div class="avatar-and-buttons">
        
<? if($model['status'] != 'Offline'):?>
  
  <a class="avatar " href="<?= Avos\User\encodeRoomLink($model); ?>">
  <img 
    src="<?= ($model['numImages'] > 0 && empty($useLiveImages)) ? $model['imagePath'] . $model['numImages'] . '.webp' : $model['imageUrl'] ?>"
    alt="<?= htmlspecialchars($model['nickname']) ;?> from <?= htmlspecialchars($model['site']) ;?> is on <?= htmlspecialchars($model['status']) ;?>. Discover her exciting show now!"

    loading="lazy" 
    
>

</a>    


<div class="username desktop">
  <a href="<?= Avos\User\encodeRoomLink($model); ?>"> <?= ucfirst($model['nickname'])?></a>
      <?else:?>
       
        <a class="avatar" href="<?= Avos\User\encodeRoomLink($model); ?>">
    <img 
        src="<?= $model['imagePath'] . $model['numImages'] . '.webp' ?>" onerror="this.onerror=null; this.src='<?= $modelAvatarOfline ?>';" 
        alt="<?= ucfirst($model['nickname'])?> webcams show profile image " class="avatar-img">
</a>    
 <div class="username desktop">


<a href="<?= $offline_link?>" class="avatar avatar-small user-link">
          <strong class="offlineModelHeader">
          Engage with <?= ucfirst($offline_redirect[0]['nickname']) ?> from <?= $offline_redirect[0]['site'] ?> is <?= ucfirst($offline_redirect[0]['status'])?>
         
        </strong> 


      </a>

        <span class="album-at hidden-xs offlineModelHeader" data-toggle="tooltip"  style=" font-size: 14px;"title="" data-original-title="<?= $offline_redirect[0]['gender']?>"> <?= $offline_redirect[0]['subject']?> </span>
        <?endif;?>
       </div>

     

      <div class="buttons">
      <? if($model['status'] != 'Offline'):?>
<p class="p-small" style="position:relative; top:6px;">&nbsp;<?= ucfirst($model['status'])?> Show On <?= ucfirst($model['site'])?></p>
<?endif;?>





        
      </div>
    </div>
  
  </div>



  <div class="header-content">

  <?if ($model['subject'] == ''):?>
<h2 class="center-mobile mt5 text_avatar" style="margin-top:5px;">
<?= $keywords?>
</h2>
<?else:?>
  <? if($model['status'] != 'Offline'):?>
  <h1 class="center-mobile mt5 text_avatar" style="margin-top:5px;">
        <bcc class= "text_avatar"><?= ucfirst($model['subject'])?></bcc>


    </h2>
 
    <?endif;?>
    </div>








    <?endif;?>

    </div>
  </div>

  <!-- now is set-->
<!--new-->














<!--old-->
<div class="album-info-container"><!--title-->

    <div class="mini-event-container pos-r  ">
   
      <div class="album-info">
      
  
   <span class="pr5 hidden-xs"></span>
 


<? if (!empty($twitter)): ?>
<a href="https://twitter.com/share?hashtags=<?$i=0;  foreach ($model['tags'] as $t): if ($i++ < 5): ?>,<?= $t['name'] ?>
<?  endif; endforeach; ?>

&via=<?= $twitter?>
&image=<?= $previewImg ?>
&title=<?= ucwords($model['nickname'])?>
&url=<?= getCanonicalUrl() ?>"
target=”_blank” >
<? endif; ?>
<span class="hidden-xs">
   <img src="/assets.<?= $theme ?>/icons/share.png" title="Share this page on Twitter" style="height: auto;width: 60px;" alt="share <?= $model['nickname'] ?>"/>
 </span>

</a>

<?php if ($userFavoriteModels > 0): ?>
<span class=" pull-right" >



<?    
    if (isset($favoriteModelIds)) {
        // Check if the model's ID is in the user's favorite list
        $isFavorite = in_array($model['id'], $favoriteModelIds);
    } else {
        // User is not logged in or has no favorites, so not a favorite
        $isFavorite = false;
    }
        // Create the button with the appropriate class and icon
        if (isset($_SESSION['user_id'])) {
        echo '<button class="btn btn-grey btn-sm follow-button' . ($isFavorite ? ' added' : '') . '" data-modelid="' . $model['id'] . '">';
            echo '<i class="fa ' . ($isFavorite ? 'fa-heart' : 'fa-heart-o') . '"></i>';
            echo '  <span class="hidden-xs">Favorite</span></button>';
        }
    
 ?>   

</span>
<?php endif; ?>


      </div>
    </div>
      </div>

      <?else:?>
        <div class="album-info-container"><!--title-->

<?if ($model['subject'] == ''):?>
<h2 class="center-mobile mt5 p-small" style="margin-top:5px;">
<?= $keywords?>
</h2>
<?else:?>
  <h2 class="center-mobile mt5 p-small" style="margin-top:5px;">
        <bcc class= "p-small"><?= ucfirst($model['subject'])?></bcc>
    </h2>
    <?endif;?>
    <div class="mini-event-container pos-r  ">
      <div class="pull-left">
<? if($model['status'] == 'Freechat'):?>
        <a href="<?= Avos\User\encodeRoomLink($model); ?>" class="avatar avatar-small user-link">
          <img src="<?= $model['imagePath'] ?><?= $model['numImages'] ?>.webp"
          alt="<?= $model['nickname'] ?> from <?= $model['site'] ?>" title="<?= $description?>"><strong>
          <?= ucfirst($model['nickname'])?></strong> from <?= $model['site']?>. Watch her <?= $model['status']?> show
        </a>
<?endif;?>
        <span class="album-at hidden-xs" data-toggle="tooltip" title="" data-original-title="<?= $model['gender']?>"> Gender <?= $model['gender']?> </span>
      </div><!--pull-left-->

      <div class="album-info">
        <span class="counter hidden-xs pr5" title="">
  <i class="fa fa-eye" aria-hidden="true"></i>  <? if ($model['viewers'] > 0): ?>
<?= $model['viewers'] ?>
    <? endif; ?>
        </span>
       

<? if (!empty($twitter)): ?>
<a href="https://twitter.com/share?hashtags=<?$i=0;  foreach ($model['tags'] as $t): if ($i++ < 5): ?>,<?= $t['name'] ?>
<?  endif; endforeach; ?>
&text=<?= $model['subject']?>
&via=<?= $twitter?>
&image=<?= $previewImg ?>
&title=<?= ucwords($model['nickname'])?>
&url=<?= getCanonicalUrl() ?>"
target=”_blank” >
<? endif; ?>
<span class="hidden-xs">
   <img src="/assets.<?= $theme ?>/icons/share.png" title="Share this page on Twitter" style="height: auto;width: 60px;" alt="share <?= $model['nickname'] ?>"/>
 </span>

</a>
</div>
   
<?php if ($userFavoriteModels > 0): ?>
<span class=" pull-right" >



<?    
    if (isset($favoriteModelIds)) {
        // Check if the model's ID is in the user's favorite list
        $isFavorite = in_array($model['id'], $favoriteModelIds);
    } else {
        // User is not logged in or has no favorites, so not a favorite
        $isFavorite = false;
    }
        // Create the button with the appropriate class and icon
        if (isset($_SESSION['user_id'])) {
        echo '<button class="btn btn-grey btn-sm follow-button' . ($isFavorite ? ' added' : '') . '" data-modelid="' . $model['id'] . '">';
            echo '<i class="fa ' . ($isFavorite ? 'fa-heart' : 'fa-heart-o') . '"></i>';
            echo '  <span class="hidden-xs">Favorite</span></button>';
        }
    
 ?>   

</span>
<?php endif; ?>
      
  </div>
    </div>
  </div>
<!--grid set as this default.... -->
    <? endif;?>











 





      <div id="content-yield-container" class="profileBgColor" >
        <div class="alert-container row">
 

<?$addClass = 'w-full';?>
<cinema class="<? if ($cinema < 1): ?><? $addClass = 'w-medium'; ?><? endif; ?><?=$addClass; ?>" >
  <div class="cinema-col-left">
  <div class="cinema-album-container" style="overflow:hidden;">
<div class="album-container" id="album-data">
  <div class="piece-list">
<div class="piece-container" id="d3c2ijxx" data-index="0" data-width="1280" data-height="720" data-type="Video">
  <div class="piece-mfcs piece-well item piece-Video">
    <div class="black-bg" style="position:relative; overflow:hidden;">
        <playah class="rwd-media" id="object_container" style="display:flex;">
        <?php if ($model['status'] == 'Freechat'): ?>

<? if($promoteTrakingCode > 0):?>

    <?php 
    $trackingModels = getConfig('site', 'tracking', $database);
        $embedUrl = Avos\User\encodeChatEmbed($model);
        if (!empty($modelsNameTraking)) {
          $trakingModelNames = explode(',', $modelsNameTraking); // Split the string into an array
         
          foreach ($trakingModelNames as $trakingModelName) {
              // Trim whitespace from each model name
              $trakingModelName = trim($trakingModelName);
      
              if ($model['nickname'] == $trakingModelName) {
                  // Concatenate the site name with the model's nickname
                  $nickname = $trackingModels . '--' . $model['nickname']; 
                  // Replace the value of the 'track' parameter with the concatenated string
                  $embedUrl = preg_replace('/(?<=\btrack=)[^&]+/', $nickname, $embedUrl);  
                  $embedUrl = preg_replace('/(sourceId=)[^&]+/', '$1' . urlencode($nickname), $embedUrl);
                  break; // Exit the loop once a match is found
              }
          }
      }
      
    ?>
    <?= $embedUrl ?> 

    <?else:?>
      <?php 
// Check if the site is StripChat and $stripModelChat is greater than 0
if (isset($model['site']) && $model['site'] == 'StripChat' && isset($stripModelChat) && $stripModelChat > 0):
?>
    <iframe id="chat-sc" src="https://creative.rmhfrtnd.com/widgets/Chat?modelName=<?= htmlspecialchars($model['nickname']) ?>" width="100%" height="100%"></iframe>
<?php 
endif; 
?>
    <?= Avos\User\encodeChatEmbed($model) ?>
<? endif;?>  


<?php if (isset($model['site']) && $model['site'] == 'StripChat' && isset($stripModelChat) && $stripModelChat > 0): ?>
    <iframe id="chat-sc" src="https://creative.rmhfrtnd.com/widgets/Chat?modelName=<?= htmlspecialchars($model['nickname']) ?>" width="100%" height="100%"></iframe>
<?php endif; ?>
          <? else: ?>
              <?
                  $modelon = getWebcams(['site' => $model['siteShortName'], 'status' => 'f', 'count' => 1]);
                  $embed =  Avos\User\encodeChatEmbed($modelon[0]);
                  $embed = preg_replace('!(track=\w+\-embed)!', '$1-offline', $embed);
                  echo $embed;
              ?>
          <? endif; ?>







</playah>
    </div>
  </div>
</div>

</div>
<!--piece-list-->
</div><!--album-container-->
</div>
</div>

</cinema>
      </div>
      <? if($model['status'] == 'Offline'):?>
<center><h3 class="center-mobile mt5" ><?= ucfirst($model['nickname']) ?> is <?= $model['status'] ?>  check her performance over time </h3></center>
 
        <?endif;?>
      <div class="row user-content-row">
      

     


                          <div class="col-md-3 profile-sidebar">
                            
                            <div class="profile profile-left">
                    <div class="profile-left-container-3 profile-stats">
                      <div class="profile-left-container-3-2">


                        

                          <span class="full-width share-rank visible-md-inline visible-lg-inline text-description">
                         





                          <? if($model['status'] != 'Offline'):?>
                            <span class="visible-md-inline visible-lg-inline">Share Rank </span>
                            <? if ($model['rank'] > 0): ?>
                        <?= $model['rank'] ?>
                              <? endif; ?>
                              <?else:?>
                                <span class="visible-md-inline visible-lg-inline"><?= ucfirst($model['nickname']) ?> Activity Statistics</span>
                                
                                <? endif; ?>
                          </span>





<!--details-->
<?php if ($model['status'] != 'Offline'): ?>
    <?php if (isset($modelFaqProfile) && $modelFaqProfile > 0): ?>
        <?php
        // Ensure the model's nickname is set, sanitized, and first letter is uppercase
        $modelNickname = isset($model['nickname']) ? ucfirst(htmlspecialchars($model['nickname'])) : 'Modelname';
        
        // Replace MODELNAME with the model's nickname in the title
        $dynamicFaqTitle = isset($modelFaqTitle) ? str_replace('MODELNAME', $modelNickname, htmlspecialchars($modelFaqTitle)) : 'WebCam Bio';
        ?>
        <a href="<?= strtolower(encodeUrl('webcamsDetails' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $model)); ?>" 
           class="btn dopp btn-sm mt10 full-width adsone" 
           title="<?= isset($title) ? htmlspecialchars($title) : 'WebCam Bio' ?>"
           style="font-size:<?= isset($modelFaqTextSize) ? htmlspecialchars($modelFaqTextSize) . ' !important' : 'inherit' ?>;"
           alt="<?= isset($description) ? htmlspecialchars($description) : 'WebCam Bio' ?>"
           <?= (isset($modelOpenNewTabLink) && $modelOpenNewTabLink == 1) ? 'target="_blank"' : '' ?>>
            <span><strong><?= $dynamicFaqTitle ?></strong></span>
        </a>
    <?php endif; ?>
<?php endif; ?>


  <!--details-->

<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Name: <?= $model['name'] ?></span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">I Feel Like: <?= $model['age'] ?></span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Gender: <?= $model['gender'] ?></span>
<? if ($model['followers'] > 0): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Followers: <?= thousand_format( $model['followers']) ?></span>
<? endif; ?>
<? if ($model['status'] != 'Offline'): ?>
<? if ($model['viewers'] > 0): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Viewers: <?= thousand_format( $model['viewers']) ?></span>
<? endif; ?>
<? if ($model['location'] != ''): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Location: <?= $model['location'] ?></span>
<? endif; ?>
<? if ($model['body'] != ''): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Body Type: <?= $model['body'] ?></span>
<? endif; ?>
<?php if ($model['birthday'] != '' && date("F dS", $model['birthday']) != 'January 01st'): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp">Birthday: <?= date("F dS", $model['birthday']); ?></span>
<?php endif; ?>


<? $zodiac = null;$day = date("d" , $model['birthday']);$month = date("m" , $model['birthday']);
      if ( ( $month == 3 && $day > 20 ) || ( $month == 4 && $day < 20 ) ) { $zodiac = "Aries"; }
  elseif ( ( $month == 4 && $day > 19 ) || ( $month == 5 && $day < 21 ) ) { $zodiac = "Taurus"; }
  elseif ( ( $month == 5 && $day > 20 ) || ( $month == 6 && $day < 21 ) ) { $zodiac = "Gemini"; }
  elseif ( ( $month == 6 && $day > 20 ) || ( $month == 7 && $day < 23 ) ) { $zodiac = "Cancer"; }
  elseif ( ( $month == 7 && $day > 22 ) || ( $month == 8 && $day < 23 ) ) { $zodiac = "Leo"; }
  elseif ( ( $month == 8 && $day > 22 ) || ( $month == 9 && $day < 23 ) ) { $zodiac = "Virgo"; }
  elseif ( ( $month == 9 && $day > 22 ) || ( $month == 10 && $day < 23 ) ) { $zodiac = "Libra"; }
  elseif ( ( $month == 10 && $day > 22 ) || ( $month == 11 && $day < 22 ) ) { $zodiac = "Scorpio"; }
  elseif ( ( $month == 11 && $day > 21 ) || ( $month == 12 && $day < 22 ) ) { $zodiac = "Sagittarius"; }
  elseif ( ( $month == 12 && $day > 21 ) || ( $month == 1 && $day < 20 ) ) { $zodiac = "Capricorn"; }
  elseif ( ( $month == 1 && $day > 19 ) || ( $month == 2 && $day < 19 ) ) { $zodiac = "Aquarius"; }
  elseif ( ( $month == 2 && $day > 18 ) || ( $month == 3 && $day < 21 ) ) { $zodiac = "Pisces"; }
?>
<? if ($model['birthday'] != ''): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Sign: <?= $zodiac; ?></span>
<? endif; ?>



<? if ($model['rank'] > 0): ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Rank: <?= $model['rank'] ?></span>
<? endif; ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r  dopp">Status: <?= $model['status'] ?></span>
<? else: ?>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Last Online: <?= date("j F 'y", $model['updatedOn']) ?></span>
<? endif; ?>



<?// if($letmetest > 0):?>



<style>

</style>
<?php


// Calculate the progress percentage
$total = $model['earnedForGoal'] + $model['neededForGoal'];
$percentage = ($total > 0) ? ($model['earnedForGoal'] / $total) * 100 : 0;
// Calculate the amount left to reach the goal
$amountLeft = $model['neededForGoal'] - $model['earnedForGoal'];

?>
<?php if ($model['site'] == 'StripChat' && isset($showTipProgress) && $showTipProgress > 0): ?>


                <span class="mini-event-container pos-r " style="font-size:12px">
               

                🚀 Progress update:  🎯 Just 💰 <?= $amountLeft ?> tk left to hit <?= $model['neededForGoal'] ?> tk! We’ve raised <?= $model['earnedForGoal'] ?> tk so far! 🎉


                </span>
  
 

<div class="health" onclick="window.open('<?= Avos\User\encodeRoomLink($model); ?>', '_blank')">
    <span class="progress-bar" style="width: <?= round($percentage, 2) ?>%;">
        <span class="shade warm"></span>
        <span class="progress-percentage" >

            <span class="goal-label"><big>🎯</big> Goal:</span> 
            <span class="subject-text"><?= $model['neededForGoal'] ?> tk</span> <?= truncate($model['subject'], 45);?>..
     
        </span>
    </span>
    <div class="tip-model-stats"><?= round($percentage, 2) ?>%</div>
</div>

<?endif;?>


<?//endif;?>

  </div>
  <?php if (!empty($statsMoreInfo)): ?>
    <?php
    $currentYear = date('y');
    $currentMonth = date('m');
    ?>
    <a href="/<?= strtolower($model['site']) ?>/<?= $model['nickname'] ?>/stats/<?= $currentYear ?>/<?= $currentMonth ?>" class="btn btn-grey btn-sm mt10 full-width adsone">
        <span class=""><?= ucfirst($model['nickname']) ?> WebCam Statistics </span>
    </a> 
<?php endif; ?> 

<a class="modelSeeBio btn btn-grey btn-sm mt10 mb20 full-width adsone" href="<?= Avos\User\encodeRoomLink($model); ?>">Watch Now <?= ucwords($model['nickname']) ?> Profile </a>






            </div>
          

            <span class="full-width share-rank" style="display:flex">
              <?if($sociallink > 0):?>
              <div class="comment-col-right spaceme">
                <div class="comment-header">
                  <span class="nick">
                    <a class="text-description link" data-turbo="false" href="<?= Avos\User\encodeRoomLink($model); ?>" target="_blank" rel="noopener">
                    <span title="" data-toggle="tooltip" class="mini-event-container text-description pos-r dopp "><?= ucfirst($model['site'])?></span>
                  </a>
                  </span>
                  <span>  </span>
                </div>
              </div>
              <? foreach ($model['links'] as $LinkName => $linkUrl): ?>
              <div class="comment-col-right spaceme">
                <div class="comment-header">
                  <span class="nick">
                    <a lass="text-description link" data-turbo="false" href="<?= $linkUrl?>" target="_blank" rel="noopener">
                    <span title="" data-toggle="tooltip" class="mini-event-container text-description  pos-r dopp "><?= ucfirst($LinkName)?></span>
                  </a>
                  </span>  
                  <span>  </span>
                </div>
              </div>
              <? endforeach;?>
              <?endif;?>
            </span>
                    <div class="flex-row space-between">
                      <div class="flex-col">
                          <div class="album-info-container tags-container">
                            <? foreach ($model['tags'] as $t): ?>
                                <a class="text-description"  href="<?= $searchUrl ?>kw=<?= $t['keywords'] ?>" >#<?= $t['name'] ?></a>
                            <? endforeach; ?>
                    </div>

                      </div>
                    </div>

                   
                  </div>
                          </div>
                  

<? //if($model['status'] != 'Offline'):?>





                        <div class="col-md-9 col-sm-12 col-xs-12">
                    <div class="users_show">
                        <div class="highlight-area things-section">

<? if($model['numImages'] > 0):?>
                    <div class="flex-row no-space center things-section-header">
                      <div class="flex-col">
                     <h3 class="center-mobile mt5" style="margin-top:5px;">
                       <a class="text-description desktop-new-window stream-link header-nick-link p-small" href="<?= Avos\User\encodeRoomLink($model); ?>"  >
                       <? if($model['status'] != 'Offline'):?>
                     <?= $title?>
                       <?else:?>
                        You can find more info about model <?= ucfirst($model['nickname']) ?>   
                        <? endif;?>
                       </a>
                         <bcc class= "p-small"> | (<?=$model['numImages']?> photos)</bcc></h3>
                   </div>
                    </div>
        <? endif;?>
                      <div id="slider-featured-albums" class="slider first-page last-page" >
                    <div class="slider-pages" style="left: 2%;">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/fancyapps/fancybox@3.5.7/dist/jquery.fancybox.min.css" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.5.7/jquery.fancybox.min.js"
                              integrity="sha512-uURl+ZXMBrF4AwGaWmEetzrd+J5/8NRkWAvJx5sbPSSuOb0bZLqf+tOzniObO00BjHa/dD7gub9oCGMLPQHtQA=="
                              crossorigin="anonymous"></script>
        <div class="thing-box-container slider-page  portfolio-ite popup-btn"  id="lpop">
<? for ($i = $model['numImages'] - 1; $i > 0; $i--): ?>
 
<div id="gallery">
<div class="item">
    <div class="box album loaded ">
        <div class=" media-container ">

    <a href="<?= $model['imagePath'] ?><?= $i ?>.webp" data-fancybox="<?=$model['nickname']?>" data-caption="<?= $model['nickname'] ?> from <?= $model['site'] ?> - <?= $description?>">
          <img  class="default-thumbnail" src="<?= $model['imagePath'] ?><?= $i ?>.webp" alt="<?= $model['nickname'] ?> from <?= $model['site'] ?>" title="<?= $description?>" >
    </a>


  </div>
  </div>
  </div>
</div>
<? endfor;?>
</div>




<script>
$(document).ready(function() {
    var images = $("#lpop > div ").hide(), x = 1;
    var showMore = $('#showMore');
    var showLess = $('#showLess');
    var funcs = {
       'showMore': function() { ++x; show(); },
       'showLess': function() { --x; show(); }
    }
    $('.controls').on('click', 'a', function(e){
        return (funcs[e.target.id] || function(){})(), false;
    });
    function show() {
        images.hide().filter(function(i){ return i < (x * 10); }).show();
        showMore.show().filter(function(){ return !images.is(':hidden'); }).hide();
        showLess.show().filter(function(){ return x === 31; }).hide();
    }
    show();
});

</script>
<script>
$( "#gallery .item" ).hover(
  function() {
    $( '#gallery' ).addClass( "hover" );
    $( this ).addClass( "hover" );
  }, function() {
    $( this ).removeClass( "hover" );
    $( '#gallery' ).removeClass( "hover" );
  }
);
</script>
                    </div>
                      </div>
                  </div>
                  </div>
                  <? if($model['numImages'] > 0):?>
                  <div class="controls">
                    <a href="#" id="showMore" class="imagesModelProfile btn ripple block highlight-button" >More+</a>
                    &nbsp; &nbsp;

                    <a href="#" id="showLess" class=" imagesModelProfile btn ripple block highlight-button" >Show less</a>
                  </div>
                  <?endif;?>
                    </div>
  <?//endif;?>

     <!-- ....WEBCAMS STATS ......
     <?if (!empty($profileStatsStyle)):?>  
   <? include 'webcamsProfileHead.php';?>
   <? include 'webcamsStatsHead.php';?>
  <? include 'webcamsProfileStats/'.$profileStatsStyle?> 
  <?endif;?>
 ....WEBCAMS STATS ...... -->


   

<!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> 
<!--END OF SPACE--> <!-- add click to action --> <!--END OF SPACE--> 
<!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> 
<!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> <!--END OF SPACE--> 




</div><!--END OF SPACE-->




<? if(!empty($footerPromoteSlider && $footerPromoteSliderProfilePage > 0)):?>
  
  <div class="carousel_content__RfxDh hidden-xs">
    <button id="prevButton">
      <svg height="32" viewBox="0 0 32 32" width="32" xmlns="http://www.w3.org/2000/svg">
        <rect fill="#fff" height="32" opacity="0" width="32"></rect>
        <path d="M-72.314,296.2h-9.438l4.429-4.429a.58.58,0,0,0,0-.821.582.582,0,0,0-.821,0l-5.42,5.42a.557.557,0,0,0-.125.188.579.579,0,0,0,0,.444.572.572,0,0,0,.125.189l5.42,5.419a.575.575,0,0,0,.41.17.578.578,0,0,0,.411-.17.58.58,0,0,0,0-.821l-4.429-4.428h9.438a.581.581,0,0,0,.581-.581A.581.581,0,0,0-72.314,296.2Z" fill="#fff" transform="translate(93.732 -280.778)"></path>
      </svg>
    </button>
    <div class="carousel_bannerWrapper__cQHkR">
      <a class="carousel_terciaryRight__JaR7S" href="<?= $footerPromoteLink1?>">
        <div class="carousel_overlay__defT7"></div>
              <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner1?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;"></a>
      <a class="carousel_secondaryLeft__x_r1V" href="<?= $footerPromoteLink2?>">
        <div class="carousel_overlay__defT7"></div>
              <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner2?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;"></a>
      <a class="carousel_mainBanner__oOVtn" href="<?= $footerPromoteLink3?>">
        <div class="carousel_overlay__defT7"></div>
              <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner3 ?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;"></a>
      <a class="carousel_secondaryRight__R_FSX" href="<?= $footerPromoteLink4?>">
        <div class="carousel_overlay__defT7"></div>
              <img alt="Promotion image" loading="lazy" decoding="async" data-nimg="fill" src="<?= $footerPromoteBanner4?>" style="position: absolute; height: 100%; width: 100%; inset: 0px; color: transparent;"></a>
    </div>
  
    <button id="nextButton">
      <svg class="carousel_arrowRight__HX4v4" height="32" viewBox="0 0 32 32" width="32" xmlns="http://www.w3.org/2000/svg">
        <rect fill="#fff" height="32" opacity="0" width="32"></rect>
        <path d="M-72.314,296.2h-9.438l4.429-4.429a.58.58,0,0,0,0-.821.582.582,0,0,0-.821,0l-5.42,5.42a.557.557,0,0,0-.125.188.579.579,0,0,0,0,.444.572.572,0,0,0,.125.189l5.42,5.419a.575.575,0,0,0,.41.17.578.578,0,0,0,.411-.17.58.58,0,0,0,0-.821l-4.429-4.428h9.438a.581.581,0,0,0,.581-.581A.581.581,0,0,0-72.314,296.2Z" fill="#fff" transform="translate(93.732 -280.778)"></path>
      </svg>
    </button>
    <div class="carousel_mobileNav__GE54W"><span class="carousel_smallDot__3x2_N"></span><span class="carousel_mediumDot__LdqTN"></span><span class="carousel_mediumDot__LdqTN carousel_active__LSqQ3"></span><span class="carousel_smallDot__3x2_N"></span></div>
  </div>
  
  
  
  
  <script>
      const bannerWrapper = document.querySelector('.carousel_bannerWrapper__cQHkR');
      const nextButton = document.getElementById('nextButton');
      const prevButton = document.getElementById('prevButton');
  
      // Function to rotate classes
      function rotateClasses() {
          const items = Array.from(bannerWrapper.children);
  
          const tempClass = items[0].className;
          for (let i = 0; i < items.length - 1; i++) {
              items[i].className = items[i + 1].className;
          }
          items[items.length - 1].className = tempClass;
      }
  
      // Function to show the next image
      function showNextImage() {
          rotateClasses();
      }
  
      // Function to show the previous image
      function showPrevImage() {
          const items = Array.from(bannerWrapper.children);
  
          const tempClass = items[items.length - 1].className;
          for (let i = items.length - 1; i > 0; i--) {
              items[i].className = items[i - 1].className;
          }
          items[0].className = tempClass;
      }
  
      // Event listeners for the next and previous buttons
      nextButton.addEventListener('click', showNextImage);
      prevButton.addEventListener('click', showPrevImage);
  </script>   
  <?endif;?>
  
  
  





              <? if (!empty($model['subject'])): ?>
<div class="highlight-area things-section">
    <div class="well text-things-index xs-undo-side-padding mt5">
    <div class="row mt5">
      <div class="col-xs-12 col-sm-7">
      <p> 
        <a class="text-description" href="<?= Avos\User\encodeRoomLink($model); ?>"> <?= ucfirst($model['nickname'])?></a> from  <?= ucfirst($model['site'])?> topic:<?= $model['subject']?>  
      </p>

      </div>
    </div>
      <div style="clear:both;"></div>
    </div>
</div>
<? endif;?>
<? if (empty($model['subject'])): ?>
<div class="highlight-area things-section">
<div class="well text-things-index xs-undo-side-padding mt5">
<div class="row mt5">
<div class="col-xs-12 col-sm-7">
<p>  <a class="text-description" href="<?= Avos\User\encodeRoomLink($model); ?>"><?=  ucfirst($keywords)?></a></p>
</div>
</div>
<div style="clear:both;"></div>
</div>
</div>
<? endif;?>






<!-- comment part-->
<? if($userSetComent > 0):?>
  <style>

.rating {
    font-size: 24px;
}

.star {
    cursor: pointer;
    
}
.starDisplay {
   
    color: gold;
}

.star.active {
    color: gold; /* Change to the color you prefer */
}

.comments2-container .comment .comment-header .nick {
    font-weight: bold;
}

.comments2-container .comment .comment-header span {
    margin-right: 5px;
}
.comments2-container .comment .comment-header .created-at {
    font-weight: lighter;
}
.comments2-container .comment .comment-header {
    padding-top: 8px;
    padding-bottom: 3px;
    display: flex;
    align-items: center;
}
.comments2-container .comment-table .comment-col-right {
    flex-grow: 1;
}
.comments2-container .comment-table .comment-col-left {
    padding-right: 5px;
    flex-grow: 0;
}
.comments2-container .comment-table {
    display: flex;
    flex-direction: row;
    width: 100%;
    flex-wrap: nowrap;
}
.comments2-container .comment {
    position: relative;
    padding-top: 5px;
    padding-bottom: 5px;
}
turbo-frame {
    display: block;
}
</style>
  <?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Function to format date time
function formatDateTimeAgo($dateTime) {
    $now = new DateTime();
    $creationDateTime = new DateTime($dateTime);

    $interval = $creationDateTime->diff($now);

    $formattedTime = '';

    if ($interval->y > 0) {
        $formattedTime = $interval->y . " year" . ($interval->y > 1 ? "s" : "");
    } elseif ($interval->m > 0) {
        $formattedTime = $interval->m . " month" . ($interval->m > 1 ? "s" : "");
    } elseif ($interval->d > 0) {
        $formattedTime = $interval->d . " day" . ($interval->d > 1 ? "s" : "");
    } elseif ($interval->h > 0) {
        $formattedTime = $interval->h . " hour" . ($interval->h > 1 ? "s" : "");
    } elseif ($interval->i > 0) {
        $formattedTime = $interval->i . " minute" . ($interval->i > 1 ? "s" : "");
    } elseif ($interval->s > 0) {
        $formattedTime = $interval->s . " second" . ($interval->s > 1 ? "s" : "");
    } else {
        $formattedTime = "Just now";
    }

    return $formattedTime . " ago";
}

// Check if the user is logged in based on the session
if (isset($_SESSION['user_id']) && isset($_SESSION['username'])) {
  $isLoggedIn = true;
  $userId = $_SESSION['user_id'];
  $userName = $_SESSION['username']; // Define $userName here
} else {
  $isLoggedIn = false;
}


// Open a database connection
$conn = new mysqli($host, $username, $password, $database);
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Handle form submission when the user is logged in
if ($isLoggedIn && $_SERVER["REQUEST_METHOD"] === "POST" && isset($_POST["comment"])) {
    $userId = $_SESSION['user_id'];
    $comment = $_POST["comment"];
    $modelId = $model['id']; // Assuming $model['id'] contains the model_id
    $userName = $_SESSION['username'];
    $clientTime = date('Y-m-d H:i:s');
    $rating = $_POST["rating"]; // Retrieve the rating from the form

    // Insert the comment and rating into the database with the model_id
    $sql = "INSERT INTO userComments (user_id, comment, created_at, model_id, rating, user_name) VALUES (?, ?, ?, ?, ?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("issiis", $userId, $comment, $clientTime, $modelId, $rating, $userName);







    if ($stmt->execute()) {
        //  echo "Comment posted successfully.";
    } else {
        echo "Error: " . $stmt->error;
    }

    $stmt->close();
  }

// Retrieve and display comments from the database for a specific model_id

$modelIdToCheck = $model['id']; // Assuming $model['id'] contains the model_id

if ($isLoggedIn) {
  $sql = "SELECT * FROM userComments WHERE model_id = ? AND (user_id = ? OR user_id != ?)";
  $stmt = $conn->prepare($sql);
  $stmt->bind_param("iii", $modelIdToCheck, $userId, $userId);
} else {
  // If the user is not logged in, just retrieve comments for the model
  $sql = "SELECT * FROM userComments WHERE model_id = ?";
  $stmt = $conn->prepare($sql);
  $stmt->bind_param("i", $modelIdToCheck);
}


$stmt->execute();
$result = $stmt->get_result();


// Close the database connection
$conn->close();
?><!-- Display a message for users who are not logged in -->
<?php if (!$isLoggedIn) : ?>
    <h5>Voting and commenting available to registered users.</h5>
<?php endif; ?>


<!-- Display the comment form and comments for both logged in and not logged in users -->
<h5>Speak Up about <?= ucfirst($model['nickname'])?> from <?= ucfirst($model['site'])?> </h5>

<?php if ($isLoggedIn) : ?>
    <form method="POST" action="">
        <textarea name="comment" placeholder="Write your comment here" class="input-mfcs"></textarea>
        <div class="rating">
            <span class="star" data-rating="1">&#9733;</span>
            <span class="star" data-rating="2">&#9733;</span>
            <span class="star" data-rating="3">&#9733;</span>
            <span class="star" data-rating="4">&#9733;</span>
            <span class="star" data-rating="5">&#9733;</span>
        </div>
        <input type="hidden" name="rating" value="0" id="rating-input">
        <button type="submit">Post Comment</button>
    </form>
    <script>
        // JavaScript for handling star ratings
        const stars = document.querySelectorAll('.star');
        const ratingInput = document.getElementById('rating-input');

        stars.forEach((star) => {
            star.addEventListener('click', () => {
                const rating = star.getAttribute('data-rating');
                ratingInput.value = rating;
                // Optionally, you can highlight the selected stars
                stars.forEach((s) => {
                    if (s.getAttribute('data-rating') <= rating) {
                        s.classList.add('active');
                    } else {
                        s.classList.remove('active');
                    }
                });
            });
        });
    </script>
<?php endif; ?>
<?php
// ...

// Retrieve and group comments by user
$commentsByUser = [];

if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $commentUserId = $row["user_id"];

        if (!isset($commentsByUser[$commentUserId])) {
            $commentsByUser[$commentUserId] = [
                "user_name" => $row["user_name"],
                "comments" => [],
            ];
        }

        $commentsByUser[$commentUserId]["comments"][] = [
            "comment" => $row["comment"],
            "created_at" => $row["created_at"],
            "rating" => $row["rating"],
        ];
    }
}
?>
 <div class="container-thing container-thing-v2 ask-me">
            <div class="ask-me-header">
               
                    <div class="ask-me-answer">
                        <div class="ask-me-avatar"  style="width:100% ;background-color:transparent!important;">
<!-- Display comments from other users -->
<?php if (!empty($commentsByUser)) : ?>
    <?php foreach ($commentsByUser as $userId => $userData) : ?>
      
      <div class="ask-me-question-container " id="question_53312">
      <turbo-frame data-turbo="true" id="comments_container-Album-<?= $model['id'];?>" src="" >
  <div class="comments2-container">
    <div data-controller="comments2" data-timeline-entry-target="newCommentForm" class="primary-comment-form">
        <div class="mb10 text-bold text-large">
          <button type="button" data-action="click->user#showTipModal:prevent" class="btn-link btn-link-green text-bold">
          <?= $model['nickname'];?> from <?= $model['site'];?>
          </button>
          <span>comments.</span>
        </div>
    </div>
    
      <turbo-frame id="comment_100466">
  <div class="comment index" data-controller="comments2" data-comments2-target="container" data-index="0">
    <div class="comment-table">
      <div class="comment-col-left">
        <? // Code to display user avatar
                $avatarImagePath = "/photosUsers/$userId/user_avatar.webp";
                if (!file_exists($_SERVER['DOCUMENT_ROOT'] . $avatarImagePath)) {
                    $avatarImagePath = "https://bootdey.com/img/Content/avatar/avatar3.png"; // Set the path to your default avatar image
                }
                ?>
        <img class="avatar" src="<?= $avatarImagePath ?>">
      </div>
      <div class="comment-col-right">
      <?php foreach ($userData["comments"] as $commentData) : ?>
        
        <div class="comment-header">
            <span class="nick"><a class="link" data-turbo="false" href=""><?= $userData["user_name"] ?></a></span>
          <span class="created-at">
            <?= formatDateTimeAgo($commentData["created_at"]) ?>

            <?php if ($commentData["rating"] > 0) : ?>
              
                    <?php for ($i = 1; $i <= 5; $i++) : ?>
                        <?php if ($i <= $commentData["rating"]) : ?>
                            <span class="starDisplay">&#9733;</span>
                        <?php else : ?>
                            <span class="star yellow-star">&#9733;</span>
                        <?php endif; ?>
                    <?php endfor; ?>
        
            <?php endif; ?>
          </span>
          
        </div>
        <div class="comment-body show-line-breaks" ><?= $commentData["comment"] ?></div>
        
        <?php endforeach; ?>

        <div class="comment-footer" data-comments2-target="footer">
      
        </div>

      </div>
    </div>
    
    
  </div>
</turbo-frame>

  <button type="button" data-action="timeline-entry#showAll" data-timeline-entry-target="showAllButton" class="btn-link hidden mb5">
    Show all Comments
  </button>

  </div>
</turbo-frame>
      
        </div>
    <?php endforeach; ?>
<?php else : ?>
    <div class="ask-me-header">
        <div class="visible-xs title-xs breadcrumb-alternative-title">
            <span>No comments</span>
        </div>
    </div>
<?php endif; ?>
</div>
</div>

</div>
</div>

<?endif;?>
<!-- end of comments-->








<!-- new sexy content -->


<?php if (isset($displayBlogsOnProfilePage) && $displayBlogsOnProfilePage > 0): ?>

  <?php 
// Fetch related blogs
$blogs = \Avos\Database\queryAssoc("SELECT * FROM ArticleBlogPosts");

// Extract model tags
$modelTags = array_map(function ($tag_blog) {
  return strtolower($tag_blog['name']); // Convert to lowercase for case-insensitive comparison
}, $model['tags']);

$relatedBlogs = [];

// Match blog tags with model tags
foreach ($blogs as $blog) {
    $blogTags = array_map('trim', explode(',', strtolower($blog['Tags'])));
    
    // Find the common tags between the model and the blog
    $commonTags = array_intersect($modelTags, $blogTags);



    // If there are common tags, add the blog to the relatedBlogs array
    if (!empty($commonTags)) {
        $relatedBlogs[] = ['blog' => $blog, 'commonTags' => $commonTags];
    }
}





// Display related blogs
if (!empty($relatedBlogs)) :
    // Select a random blog from the related blogs
    $randomPost = $relatedBlogs[array_rand($relatedBlogs)];

    $blog = $randomPost['blog'];
    $commonTags = $randomPost['commonTags'];
    $postLink = encodeUrl('articleProfile', $blog);
    $postLink = str_replace(' ', '-', $postLink);
    ?>
    <div class="container-thing  container-thing-v2" style="padding-left: 10px;padding-right: 10px;">
        <div class="fbg-flex-row center nowrap mb-2 mb-sm-3 mt-sm-1" >
            <div class="thing-breadcrumb flex-grow text-truncate mr10">
                <a class="user-link text-description" href="<?= $postLink; ?>">
                    <img src="<?= "/photosBlog/" . $blog['id'] . "/" . $blog['ImagePathAvatar'] ?>" alt="<?= htmlspecialchars($blog['Description']) ?>" title="<?= htmlspecialchars($blog['Title']) ?>" loading="lazy" class="avatar-image">
                    <span class="inline" style="font-size: 18px;" >Explore More: Discover Posts That Match <?= $model['nickname']?>'s Vibe</span>
                </a>
            </div>
        </div>
        <div class="store-item" >
            <div class="col-right">
                <h3 class="center-mobile mt5 p-small" style="font-size: 23px;">
                    <?= htmlspecialchars($blog['Title']) ?>
                </h3>
                <?php
                // Example Tags from $blog['Tags']
                $tags_blogs = array_map('trim', explode(',', strtolower($blog['Tags'])));
                $uniqueTags = array_unique($tags_blogs); // Remove duplicates
                // Generate HTML for each tag
                foreach ($uniqueTags as $tag_blog) {
                    $searchUrl = "/search?kw=" . urlencode($tag_blog);
                    echo '<a class="text-description" href="' . htmlspecialchars($searchUrl) . '">#' . htmlspecialchars($tag_blog) . '</a> ';
                }
                ?>
                <div class="description-box ">
                <?php
$content = strip_tags($blog['Content']); // Remove HTML tags
$cleanedContent = preg_replace('/\s+/', '', $content); // Remove extra spaces for counting
$truncatedContent = substr($cleanedContent, 0, 500); // Limit to 500 characters without spaces
// Reconstruct original content up to the desired character count, preserving spaces
$displayContent = '';
$charCount = 0;
for ($i = 0; $i < strlen($content); $i++) {
    if (trim($content[$i]) !== '') {
        $charCount++;
    }
    $displayContent .= $content[$i];
    if ($charCount >= 500) {
        break;
    }
}
// Trim trailing spaces and add ellipsis if truncated
$displayContent = rtrim($displayContent) . '...';
echo $displayContent;
$mainLink = encodeUrl('articleProfile', $blog);
$mainLink = str_replace(' ', '-', $mainLink);

?>
                </div>
                <div class="tac">
                    <div class="mt15">




                        <a href="<?= $mainLink; ?>" class="modelSeeBio btn btn-grey btn-sm mt10 mb20 adsone"> See Post </a>

 

                        
                    </div>
                </div>
            </div>
            <div class="col-left">
                <div class="preview-container">
                    <img src="<?= "/photosBlog/" . $blog['id'] . "/" . $blog['MainImage'] ?>" alt="<?= htmlspecialchars($blog['Description']) ?>" title="<?= htmlspecialchars($blog['Title']) ?>" loading="lazy" style="border-radius: 10px;margin-top: 20px;">
                </div>
            </div>
            <div style="clear:both;"></div>
        </div>
    </div>
<?php else: ?>
  <? $articleIndexPage = encodeUrl('articleIndex');?>
  <p>The perfect post for <a class="mini-event-container pos-r dopp " href="<?= Avos\User\encodeRoomLink($model); ?>"> <?= htmlspecialchars(ucfirst($model['nickname'])) ?> </a> 
  might be just around the corner. Dive into our <a class="mini-event-container pos-r dopp  " href='<?= $articleIndexPage; ?>'>latest blogs</a> and discover something amazing!"</p>

<?php endif; ?>

<?php endif; ?>
<!-- eof new sexy content -->











    <div class="related text-description">Ralated Models <i class="fa fa-fire" aria-hidden="true"></i>  </div>
   
   
   
    <?php if (isset($headerTags) && $headerTags > 0 && substr($url['name'], 0, 14) == 'webcamsProfile'): # add the tags to any page??? ?>
    <div class="timeline-filter-dropdown collapse in" id="feed-options">
        <div class="flex flex-wrap">
            <?php $i = 0; foreach ($tags as $name => $t): if ($i++ < 20): ?>
                <a class="tabsItems" href="<?= encodeUrl('webcamsTag', $t) ?>">#<?= $name ?></a>
            <?php endif; endforeach ?>
            <a class="tabsItems" href="<?= encodeUrl('webcamsTagspage') ?>">(more tags)</a>
            <span class="flex-grow" style="flex-grow:5"></span>
        </div>
    </div>
<?php endif; ?>


<div id="content-yield-container" style="margin:0 20px 0 20px;">
        <div class="alert-container row"></div>
  <div class="row thing-box-container">
<div id="infinite-content">
      <div class="infinite-page clearfix " style="margin: 5px 16px 10px!important;">
        	  <? foreach ($related as $m): ?>


<div class="box album with-username loaded">
  <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>" class="media-container"  title="Discover <?=$m['nickname']?> from <?=$m['site']?>" alt="Join  <?=$m['nickname']?> from <?=$m['site']?> on live sex show">

    <span class="marquee album-title album-title-bottom">
      <span><?= $m['status'] ?></span>
    </span>
  <div class="indicators-top-right flex">

<? if (gmdate("d",$model['addedOn']) < '14') :?>
      <span><img class="newmodels" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_new" class="avatar" alt="new model <?=$m['nickname']?> ">
</span>

  <?endif;?>
  </div>

    <img class="default-thumbnail" src="<?= $m['imageUrl'] ?>" alt=" <?=$m['nickname']?> chat room" title="live show webcams with <?=$m['nickname']?> from <?=$m['site']?>  " >
    <? if ($model['hd'] == '0'):?>
           <img class="hdQualityplus" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_hd_plus"  class="avatar" alt="quality hd">
   <?endif;?>
   <? if ($model['hd'] == '1'):?>
          <img class="hdQuality" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_hd"  class="avatar" alt="model quality">

   <?endif;?>


  </a>
  <div style="clear:both;"></div>
  <div class="album-list-public-user-info">
    <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>">
      <span class="avatar-status-container">
        <img src="<?= $m['imageUrl'] ?>" width="30" height="30" class="avatar" loading="lazy" alt="<?=$m['nickname']?> live show on <?=$m['site']?> " title="live sex webcams show with <?=$m['nickname']?> from <?=$m['site']?> " >
</span>      <span><?= $m['nickname'] ?></span>
    </a>


    

    </a>
    <?php if ($useNicknamePage > 0): ?>
    <a href="<?= encodeUrl('webcamsNickname', $m) ?>">

    <?php
if (isset($useNicknameIcon) && !empty($useNicknameIcon)) { ?>
    <img src="<?= $useNicknameIcon ?>" alt="Nickname Icon" title="<?= $useNicknameImageTitle?>  <?= ucfirst($m['nickname']) ?> from <?= $m['site'] ?> " style="height: <?= $useNicknamePageHeight ?>; width: auto;">
<?php } else { ?>
   ...
<?php } ?></a>
    </a>
<?php endif; ?>

    <span class="follow-buttons pull-right" >


    <?    
    if (isset($favoriteModelIds)) {
        // Check if the model's ID is in the user's favorite list
        $isFavorite = in_array($m['id'], $favoriteModelIds);
    } else {
        // User is not logged in or has no favorites, so not a favorite
        $isFavorite = false;
    }
        // Create the button with the appropriate class and icon
        if (isset($_SESSION['user_id'])) {
        echo '<button class="btn btn-grey btn-sm follow-button' . ($isFavorite ? ' added' : '') . '" data-modelid="' . $m['id'] . '">';
            echo '<i class="fa ' . ($isFavorite ? 'fa-heart' : 'fa-heart-o') . '"></i>';
            echo '</button>';
        }
    
 ?>   



<a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>" class="btn btn-grey btn-sm follow-button"  title="Discover <?=$m['nickname']?> from <?=$m['site']?>" alt="Join  <?=$m['nickname']?> from <?=$m['site']?> on live sex show">
        <?if( $m['gender'] == 'Couple'): ?>
        <? $m['gender'] = '<i class="fa fa-venus-mars" aria-hidden="true"></i>';?>
        <?endif;?>
        <?if ($m['gender'] == 'Female'):?>
        <? $m['gender'] = '<i class="fa fa-venus" aria-hidden="true"></i>';?>
        <?endif;?>
        <?if( $m['gender'] == 'Male'): ?>
        <? $m['gender'] = '<i class="fa fa-mars" aria-hidden="true"></i>';?>
        <?endif;?>
        <?if( $m['gender'] == 'Trans'): ?>
        <? $m['gender'] = '<i class="fa fa-transgender" aria-hidden="true"></i>';?>
        <?endif;?>
        <?=$m['gender']?>
        </a>






      
    </span>
    <div style="clear:both;"></div>
  </div>
</div>
      
<? endforeach;?>


  </div>
</div>

</div>

    </div>
    <div style="clear:both;"></div>
<!-- let create a embed -->

<script>
    var isChatShown = true;

    // Function to toggle visibility of chat
    function toggleChat() {
        var element = document.getElementById("show");
        if (isChatShown) {
            element.classList.remove("show-campreview");
            element.classList.add("hide-campreview");
            isChatShown = false;
        } else {
            element.classList.remove("hide-campreview");
            element.classList.add("show-campreview");
            isChatShown = true;
        }
    }

    // Function to handle scroll event
    $(window).scroll(function() {
        var showElement = $('#show');
        if ($(this).scrollTop() > 450) {
            showElement.addClass('show');
        } else {
            showElement.removeClass('show');
        }
    });

    // Function to close chat
    function closeChat(event) {
        event.stopPropagation();
        var element = document.getElementById("show");
        element.classList.remove("show-campreview");
        element.classList.add("hide-campreview");
        isChatShown = false;
    }
</script>

<?php if($model['status'] == 'Freechat'): ?>
    <div id="show" class="campreview-link touch size-widescreen show-video show">
        <div class="campreview-header">
            <a class="desktop-new-window stream-link header-nick-link" href="<?= Avos\User\encodeRoomLink($model); ?>">
                <img src="<?= $model['imagePath'] ?><?= $model['numImages'] ?>.webp" alt="<?= $model['nickname'] ?> from <?= $model['site'] ?>" title="<?= $description ?>" />
                <span class="username text-description"><?= $model['nickname'] ?><span class="online-now-text"> is <?= $model['status'] ?></span></span>
            </a>
            <span onclick="closeChat(event)" class="campreview-toggle-size btn btn-grey pull-right ripple"><i class="fa fa-times" aria-hidden="true"></i></span>
            <span onclick="toggleChat()" class="campreview-toggle-size btn btn-grey pull-right ripple"><i class="fa fa-arrow-circle-o-up" aria-hidden="true"></i></span>
            <span onclick="toggleChat()" class="campreview-toggle-size btn btn-grey pull-right ripple"><i class="fa fa-chevron-down" aria-hidden="true"></i></span>
        </div>
        <div class="campreview" style="width: 320px; height: 180px;">
            <?php include('webcamsChatEmbed.php'); ?>
        </div>
    </div>
<?php endif; ?>




<!------add user to fav---->


<script>
$(document).ready(function() {
    $('.follow-button').click(function() {
        var modelId = $(this).data('modelid');

        if ($(this).hasClass('added')) {
            // If the button is marked as added, remove the model from favorites
            removeFromFavorites(modelId);
        } else {
            // Otherwise, add the model to favorites
            addToFavorites(modelId);
        }
    });

    function addToFavorites(modelId) {
        $.post("", { action: "add", modelId: modelId }, function(data) {
            console.log(data);
            var button = $('.follow-button[data-modelid="' + modelId + '"]');
            button.addClass('added');
            button.find('i').removeClass('fa-heart-o').addClass('fa-heart'); // Change icon class
        });
    }

    function removeFromFavorites(modelId) {
        $.post("", { action: "remove", modelId: modelId }, function(data) {
            console.log(data);
            var button = $('.follow-button[data-modelid="' + modelId + '"]');
            button.removeClass('added');
            button.find('i').removeClass('fa-heart').addClass('fa-heart-o'); // Change icon class
        });
    }
});
</script>
