
<? include 'webcamsStatsMonthHead.php'?>
<style>
.p-small{
 font-size: 15px!important;
} 

.chart {
  border-radius: 10px;
  padding: 0 15px;
  position:relative;
  min-height: 200px;
  margin: 15px auto;
  width: 90%;
  box-sizing: border-box;
  background-color: <?= $chartcolor?>;
  overflow: hidden;
}

@media only screen and (min-width:601px) {
  #DonutTicketsByDepartment {
    width: 200px;
    float: right;
  }

  #TicketByDepartmentLegends {
		padding-top: 0;
    display:block;
    margin-right: 250px;
    list-style-type: none;
  }

  .title { display: block; margin-right: 150px; }
  .author { float:right; width: 150px; }
  .lt { display: none; }

}

@media only screen and (max-width:600px) {

  .chart { text-align: center; }

  #DonutTicketsByDepartment {
    width: 200px;
    margin: 0 auto;
    float: none;
  }

  #TicketByDepartmentLegends {
    list-style-type: none;
    padding-top: 0px !important;
    margin : 0 auto;
    display: inline-block;
    text-align: left;
  }

  .title,
  .author { display: block; text-align:center; }
  .author { margin-top: 5px; }
  .lt { display: block; }
  .rt { display: none; }

}

#TicketByDepartmentLegends li {
  margin-bottom: 10px;
  font-family: 'Titillium Web', sans-serif;
  font-weight: 400;
  color:#000;
}

#TicketByDepartmentLegends li span.icon {
  width: 22px;
  height: 22px;
  float: left;
}

#TicketByDepartmentLegends li span.label {

	color:<?= $chartTextcolor?>;
	font-size: 13px;
    margin-left: 15px;
    font-weight: 900;
}
table tr th{
	color:blue;
}
.imageStats{
	width: 100%;
height: 230px;


}
.profile-left .profile-left-container-3 span {
    min-width: 49%;
    text-align: center;
}

.mini-event-container {
    padding: 4px 4px 2px 10px;
    border-radius: 2px;
}
.mini-event-container {
    color: #3e433e;
}
.pos-r {
    position: relative;
}
.profile-left .profile-left-container-3, .profile-left .profile-left-container-3 .social-links, .profile-left .profile-left-container-3>div {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}

.profile-left .profile-left-container-3 {
    font-size: 15px;
    margin-bottom: 10px;
}
.profile-left {
    position: relative;
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
}
.users_show .things-section {
    margin: 0 0 20px;
}
.flex-row.no-space {
    margin-left: 0;
    margin-right: 0;
}
@media (min-width: 992px)
{.users_show {
    overflow: hidden;
}}
.flex-row.center {
    align-items: center;
}
.flex-row.no-space .flex-col, .flex-row.no-space .flex-col-no-grow {
    padding: 0;
}

.flex-row .flex-col {
    flex-grow: 1;
    padding-left: 2px;
    padding-right: 2px;
}

.flex-row {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-left: -2px;
    margin-right: -2px;
}
.flex-row.no-space {
    margin-left: 0;
    margin-right: 0;
}
.flex-row.center {
    align-items: center;
}
.flex-row {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    margin-left: -2px;
    margin-right: -2px;
}


@media (min-width: 992px)
{.col-md-9 {
    width: 75%;
}}

@media (min-width: 992px)
{.col-md-2, .col-md-3, .col-md-4, .col-md-6, .col-md-7, .col-md-8, .col-md-9, .col-md-12 {
    float: left;
}}

@media (min-width: 768px)
{.col-sm-2, .col-sm-3, .col-sm-4, .col-sm-5, .col-sm-6, .col-sm-7, .col-sm-8, .col-sm-10, .col-sm-12 {
    float: left;
}}


#monthly_stats{
	margin: 0 auto;
    padding-left: 25px;
    padding-right: 25px;
}
.imageStats{
	margin-top: -30px;
}
.btn-success:hover {
  color: #FFF;
  background: rgb(103, 192, 103, 0.75);
  border: 2px solid rgb(103, 192, 103, 0.75);
}
.btn-success {
  font-family: Raleway-SemiBold;
  font-size: 13px;
  color: rgba(103, 192, 103, 0.75);
  letter-spacing: 1px;
  line-height: 15px;
  border: 2px solid rgba(103, 192, 103, 0.75);
  border-radius: 40px;
  background: transparent;
  transition: all 0.3s ease 0s;
}
#pop-up-button {
  display: none;
  position: fixed;
  bottom: 278px;
  right: 20px;
  z-index: 9999;
  background-color: #007bff;
  color: white;
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
  transition: opacity 0.3s ease-in-out;
}

#pop-up-button:hover {
  opacity: 0.8;
}
.loadmore{
	color:<?= $chartTextcolor?>;;
background-color: <?= $chartcolor?>;
border: none;
  padding: 10px 20px;
  border-radius: 5px;
  font-size: 16px;
  cursor: pointer;
  transition: opacity 0.3s ease-in-out;
}



.imageStats {
    width: 288px;
    height: 230px;
    border-radius: 9px;
}




.table {
  width: 100%;
  border-collapse: collapse;
}

.table td,
.table th {
  padding: 12px 15px;
  border: 1px solid #ddd;
  text-align: center;
  font-size: 16px;
}

.table th {
  background-color: #92c9e6;
  color: #ffffff;
}

.table tbody tr:nth-child(even) {
  background-color: #d1e8f5;
}

/*responsive*/

@media (max-width: 500px) {
  .table thead {
    display: none;
  }

  .table,
  .table tbody,
  .table tr,
  .table td {
    display: block;
    width: 100%;
  }
  .table tr {
    margin-bottom: 15px;
  }
  .table td {
    padding-left: 50%!important;
    text-align: left;
    position: relative;
  }
  .table td::before {
    content: attr(data-label);
    position: absolute;
    left: 0;
    width: 50%;
    padding-left: 15px;
    font-size: 15px;
    font-weight: bold;
    text-align: left;
  }
}
.blur {
    filter: blur(10px);
    max-width: 100%;
    width: 288px;
    height: 230px;
  }


</style>
<script>
$(document).ready(function()
{
  $("tr:odd").css({
    "background-color":"fff",
    "color":"gray"});
});
</script>

<div id="monthly_stats">

<div class="flex-row no-space center things-section-header">
	   <div class="flex-col">
  			<h3 class="center-mobile mt5" style="margin-top:5px;">
	        <a class="desktop-new-window stream-link header-nick-link  p-small" href="<?= encodeRoomLink($model['site'], $model['nickname']); ?>">
	              <?= ucfirst($name) ?> <?=$monthly['monthName'] ?>
					 </a>
	       <bcc class="p-small"> | <?= $model['site']?></bcc></h3>
	

	    </div>
	
 </div>
<div class="row user-content-row" >



<div class="col-md-3 profile-sidebar"    style=" width: 230px;display: flex;    margin: 30px;">
<? if($model['status'] != 'Offline'):?>
<a href="<?= encodeRoomLink($model['site'], $model['nickname']); ?>">
<? if ($model['numImages'] > 0): ?>
	<img class="imageStats" src="<?= $model['imagePath'] ?><?= $model['numImages'] ?>.webp" title="<?= $title?>" alt="<?= $model['nickname']?> performants stats from <?= $model['site']?>">
<? else: ?>
<img class="imageStats" src="<?= $model['imageUrl'] ?>" title="<?= $title?>" alt="<?= $model['nickname']?> performants stats from <?= $model['site']?>" >
<? endif; ?>
</a>
<?else:?>
  <img class="blur" src="<?= $model['imageUrl'] ?>" alt="<?= $model['nickname']?> from <?= $model['site']?>" oncontextmenu="return false;" >

<? endif;?>
</div>

<div class="col-md-9 profile-sidebar">
<div class="chart">
	
<table id="TicketByDepartment" cellpadding="0" cellspacing="0" border="0" style="visibility: hidden;">
	<tbody>
		<tr>
			<th scope="row"> Freechat Sessions</th>
			<td><?= $monthly['freechatTime'] ?> </td>
		</tr>
	 <tr>
		 <th scope="row">Longest Freechat</th>
		 <td><?= $monthly['freechatTimeMaxStr'] ?></td>
	 </tr>
	 <tr>
		 <th scope="row"> Group Chat Sessions</th>
		 <td><?= $monthly['groupTime'] ?></td>
	 </tr>
	 <tr>
		 <th scope="row">Private Sessions</th>
		 <td><?= $monthly['privateTime'] ?></td>
	 </tr>
	
	</tbody>
	
</table>

<div id="DonutTicketsByDepartment"></div>
<ul id="TicketByDepartmentLegends"></ul>


</div>
</div>

<a href="<?= encodeRoomLink($model['site'], $model['nickname']); ?>" target="_blank"  id="pop-up-button">See <?= ucfirst($model['nickname']) ?> webcam live Show!</a>

<script>
function show() {
var element = document.getElementById("show");
element.classList.toggle("hide-campreview");
element.classList.toggle("bau");
}
function hide() {
var element = document.getElementById("show");
element.classList.toggle("hide-campreview");
element.classList.toggle("hip");
}
function closechat() {
var element = document.getElementById("show");
element.classList.toggle("hidden");
element.classList.toggle("showme");

}

$(window).scroll(function(){
    if ($(this).scrollTop() > 450) {
       $('#show').addClass('show');
    } else {
       $('#show').removeClass('show');
    }
});

</script>

<? if($model['status'] == 'Freechat'):?>
<div id="show" class="campreview-link touch size-widescreen show-video show " >
  <div class="campreview-header">
    <a class="desktop-new-window stream-link header-nick-link" href="<?= Avos\User\encodeRoomLink($model); ?>">
      <img src="<?= $model['imagePath'] ?><?= $model['numImages'] ?>.webp" alt="<?= $model['nickname'] ?> from <?= $model['site'] ?>" title="<?= $description?>" >
      <span class="username text-description"><?= $model['nickname'] ?><span class="online-now-text"> is <?= $model['status'] ?></span></span>
    </a>
    <span onclick="closechat()" class="campreview-toggle-size btn btn-grey pull-right ripple"><i class="fa fa-times" aria-hidden="true"></i></span>
    <span onclick="closechat()" class="campreview-show  btn btn-grey pull-right ripple"><i class="fa fa-times" aria-hidden="true"></i></span>

    <span onclick="show() " class="campreview-show  btn btn-grey pull-right ripple"><i class="fa fa-arrow-circle-o-up" aria-hidden="true"></i></span>
    <span  onclick="hide()" class="campreview-hide  btn btn-grey pull-right ripple"><i class="fa fa-arrow-circle-o-down" aria-hidden="true"></i></span>
  </div>
  <div class="campreview" style="width: 320px; height: 180px;">

  <? include('webcamsChatEmbed.php') ?>
  </div>
  </div>
<?endif?>



<script>
window.onscroll = function() {showPopUpButton()};

function showPopUpButton() {
  var button = document.getElementById("pop-up-button");
  if (window.pageYOffset > 700) {
    button.style.display = "block";
  } else {
    button.style.display = "none";
  }
}


</script>


</div>
<? include 'webcamsStatsHead.php' ?>
<script type="text/javascript" src="https://rawgithub.com/rathoreahsan/Interactive-Charts/master/raphael.js"></script>
<script type="text/javascript" src="https://rawgithub.com/rathoreahsan/Interactive-Charts/master/donut-chart.js"></script>

<? if(!empty($statsMonthActivity)):?> 
<div class="profile profile-left">
<div class="profile-left-container-3 profile-stats">
<div class="profile-left-container-3-2">

<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Days Online: <?= $daysWorked ?> days </span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Avg Daily Time: <?= $monthly['avgTimeStr'] ?></span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Total Time: <?= $monthly['totalTimeStr'] ?></span>

<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Freechat Sessions: <?= $monthly['freechatSessions'] ?></span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Freechat Time: <?= $monthly['freechatTimeStr'] ?> </span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Avg Freechat Time:  <?= $monthly['freechatTimeMaxStr'] ?></span>


<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Away Sessions:  <?= $monthly['awaySessions'] ?> </span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Away Time: <?= $monthly['awayTimeStr'] ?></span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Avg Away Time: <?= $monthly['awayTimeAvgStr'] ?></span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r  dopp">Longest Away: <?= $monthly['awayTimeMaxStr'] ?></span>

<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Private Sessions:  <?= $monthly['privateSessions'] ?></span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Private Time: <?= $monthly['privateTimeStr'] ?></span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Avg Private Time: <?= $monthly['privateTimeAvgStr'] ?></span>
<span title="" data-toggle="tooltip" class="mini-event-container pos-r  dopp">Longest Private: <?= $monthly['privateTimeMaxStr'] ?></span>

  </div>
  </div>
  </div>

<?endif;?>
<div class="row user-content-row" >
<? if(!empty($statsMonthActivityChart)):?>
		<div class="col-md-<? if(!empty($statsDailyHours)):?>6<?else:?>12<?endif;?> profile-sidebar">

		                    <div class="profile-left-container-3 profile-stats">
		                      <div class="profile-left-container-3-2">
	<? if ($model['site'] != 'Streamate'): ?>
		<h3 class="center-mobile mt5">Viewers last 22 days</h3>
		<div id="viewerschart" style="height:200px; width:100%; margin:0 auto; float:left; margin-bottom: 10px;"></div>
		<div style="clear:left;"></div>
		<h3 class="center-mobile mt5" >New Followers Avarange</h3>
		<div id="followerschart" style="height:200px; width:100%; margin:0 auto; float:left; margin-bottom: 10px;"> </div>
		<div style="clear:left;"></div>
		<h3 class="center-mobile mt5">Rank Chart</h3>
	<div id="rankchart" style="height:400px; width:100%; margin:0 auto; float:left;margin-bottom: 10px;"> </div>
	<div style="clear:left;"></div>
	<? endif; ?>
	</div> 
		</div>
</div>
<?endif;?>
<? if(!empty($statsDailyChart)):?>
	<div class="col-md-<? if(!empty($statsMonthActivityChart)):?>6<?else:?>12<?endif;?> col-sm-12 col-xs-12">				
<h3 class="center-mobile mt5">Daily Activities Summary</h3>
<div id="dailychart"  class="col-xs-12 col-sm-12"  style="height:440px; margin:0 auto; background:transparent;width:100% !important; margin-bottom: 10px;"></div>
<?endif;?>
<? if(!empty($statsDailyHours)):?>
				<h3 class="center-mobile mt5">Daily Hours</h3>
						<div class="profile profile-left">
						<div class="profile-left-container-3 profile-stats">
						<div class="profile-left-container-3-2">
							<? foreach ($days as $d): ?>
				<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp ">Days<?= $d['dateStr']?> <?= $d['timeStr'] ?></span>
							<? endforeach; ?>
	</div></div>
</div>	
<?endif;?>

</div>

</div>
<? if(!empty($statsActivityFeed)):?>
<h3 class="center-mobile mt5">Activity Feed</h3>
<div class="profile profile-left">
  <div class="profile-left-container-3 profile-stats">
    <div class="profile-left-container-3-2">
      <?php 
	  $activityCount = count($activity);
        for ($i = 0; $i < $activityCount; $i++) {
          echo '<span title="" data-toggle="tooltip" class="mini-event-container pos-r dopp"';
          if ($i >= 8) {
            echo ' style="display: none"';
          }
          echo '>'.$activity[$i]['activityStr'].'</span>';
        }
      ?>
    </div>
  </div>
</div>
<center>
<button id="load-more" class="loadmore">Load More Activity of <?= $model['nickname']?></button>
<button id="load-less" class="loadmore"style="display: none">Load Less</button>
</center>

<script>
  var currentIndex = 4;
  var totalItems = <?php echo count($activity); ?>;

  $('#load-more').click(function() {
    var itemsToShow = $('.profile-left-container-3-2 .mini-event-container:hidden').slice(0, 4);
    itemsToShow.show();

    currentIndex += itemsToShow.length;

    if (currentIndex >= totalItems) {
      $('#load-more').hide();
    }

    $('#load-less').show();
  });

  $('#load-less').click(function() {
    var itemsToHide = $('.profile-left-container-3-2 .mini-event-container:visible').slice(-4);
    itemsToHide.hide();

    currentIndex -= itemsToHide.length;

    if (currentIndex <= 4) {
      $('#load-less').hide();
    }

    $('#load-more').show();
  });
</script>

<?endif;?>

<? if(!empty($statsTimelineChart)):?>
	<div style="clear:left;"></div>
 <h3 class="center-mobile mt5">Daily Timeline</h3>
<div id="timelinechart" class="col-xs-12 col-sm-12" style="margin:0 ;color:#fff!important;background:transparent;"></div>
<?endif;?>
</div></div>
<? if(!empty($statsDailyRanks)):?>
<? if (count($ranks['dateStr']) > 0): ?>
  



  <h3 class="center-mobile mt5">Best Ranks</h3>

  <table class="table">
  <thead>
        <th>Date</th>
				<th>Viewers</th>
				<th>Followers</th>
				<th>Rank</th>
				<th>GenderRank</th>
    
  </thead>
  <tbody>
  <? foreach ($ranks['dateStr'] as $i => $dateStr): ?>
			<tr>
		
      <td data-label="Date"><?= $dateStr ?></td>
      <td data-label="Viewers"><?= $ranks['viewers'][$i] ?></td>
      <td data-label="Followers"><?= $ranks['followers'][$i] ?></td>
      <td data-label="Rank">9<?= $ranks['rank'][$i] ?></td>
      <td data-label="GenderRank"><?= $ranks['genderRank'][$i] ?></td>

			</tr>
<? endforeach; ?>
  </tbody>
</table>






<? endif; ?>

<? endif; ?>


