<?php
namespace Sites\ImLive;

function get_shortname()
{
    return 'il';
}

function online_status()
{
    global $_AVOS;

    $url = 'https://gstsvc.webcamwiz.com/imlapi_get_hostlist/v/2015-01-01/format/xml/?filter=freevc~0@bringvisitors~1@top~1000000@needtotal~1&proplist=nickname,webrtcdata,boshserver,cdnserver,age,description,roomid,hostid,genderid,birthdate,is_birthday,mainimg,sexprefid,pvalue,heightid,weightid,eyecolorid,haircolorid,measurements,ethnicityid,buildid,turnson,turnsoff,blockcountry1,blockcountry2,blockcountry3,blockstate1,blockstate2,blockstate3,blockcity1,blockcity2,blockcity3,blockcityid1,blockcityid2,blockcityid&lngproplist=genderid,Sexprefid,heightid,roomid,weightid,eyecolorid,haircolorid,ethnicityid,buildid&subscription-key=218b171449714c5cafcb9626cc47e0be';

    $raw = @file_get_contents($url);
    if ($raw === FALSE) {
        // Handle error
        return [];
    }

    $xml = simplexml_load_string($raw);
    if ($xml === FALSE) {
        // Handle error
        return [];
    }

    $models = array();

    foreach ($xml->Data as $m) {
        $gender = str_replace(
            array('Female', 'Male'),
            array('f', 'm'),
            (string)$m->PropList['l_genderid']
        );

        if ($gender === 'f') {
            $models[] = array(
                'site'      => 'il', // Adjust the site identifier accordingly
                'roomLink'  => (string)$m['WorkingServer'] . '/' . (string)$m['InternalRoomID'],
                'nickname'  => (string)$m['NickName'],
                'name'      => (string)$m['NickName'],
                'imageUrl'  => 'https://i0.wlmediahub.com/imagesrv/imp_getimage?qu=80&mark=1&cctrl=public,max-age%3d2592000&is=imlfoh&wm=0&wi=320&hi=-1&fn=' . (string)$m->PropList['mainimg'], // Adjust the URL path as necessary
                'age'       => (string)$m->PropList['age'],
                'tags'      => '', // There is no 'Kinkies' attribute in the example XML provided
                'subject'   => (string)$m->PropList['description'],
                'gender'    => $gender,
                'hd'        => (int)$m['HHTeaser'],
                'earnedForGoal' => 0, // Replace with actual value if available
                'neededForGoal' => 0, // Replace with actual value if available
                'broadcastVR' => 0 ,// Replace with actual value if available 
                
                'status'    => ((int)$m['hoststate'] === 2) ? 'f' : 'p'
            );
        }
    }

    print_r($models);  // Output the array structure for debugging

    return $models;
}
?>
