<?php
   // Get database configuration
   $host     = $_AVOS['config']['mysql']['hostname'];
   $username = $_AVOS['config']['mysql']['username'];
   $password = $_AVOS['config']['mysql']['password'];
   $database = $_AVOS['config']['mysql']['database'];
   
   // Establish database connection
   $conn = new mysqli($host, $username, $password, $database);
   if ($conn->connect_error) {
       die("Connection failed: " . $conn->connect_error);
   }
   if (isset($_SESSION['user_id'])) {
     $user_id = $_SESSION['user_id'];
   } else {
     // Handle the case when the user is not logged in or $_SESSION['user_id'] is not set
     $user_id = 0; // You can set it to some default value or handle it as needed
   }
   
   
   // Handle adding/removing models to/from favorites
   if (isset($_POST['action']) && isset($_POST['modelId'])) {
     ini_set('display_errors', 1);
   ini_set('display_startup_errors', 1);
   error_reporting(E_ALL);
   
       $modelId = $_POST['modelId'];
   
       if ($_POST['action'] === 'add') {
           // Add the model to favorites
           $sql = "INSERT INTO userFavorites (user_id, model_id) VALUES ($user_id, $modelId)";
           if ($conn->query($sql) === TRUE) {
               echo "Model added to favorites successfully";
           } else {
               echo "Error adding model to favorites: " . $conn->error;
           }
       } elseif ($_POST['action'] === 'remove') {
           // Remove the model from favorites
           $sql = "DELETE FROM userFavorites WHERE user_id = $user_id AND model_id = $modelId";
           if ($conn->query($sql) === TRUE) {
               echo "Model removed from favorites successfully";
           } else {
               echo "Error removing model from favorites: " . $conn->error;
           }
       }
   }
   
   ?>
<?
   // Check if the user is logged in
   if (isset($_SESSION['user_id'])) {
       // Get user ID from the session
       $user_id = $_SESSION['user_id'];
       
       // Assuming you have the user ID available (e.g., $_SESSION['user_id'])
       $favoriteModelIdsQuery = "SELECT model_id FROM userFavorites WHERE user_id = ?";
       $stmt = $conn->prepare($favoriteModelIdsQuery);
       $stmt->bind_param("i", $user_id);
       $stmt->execute();
       $result = $stmt->get_result();
       
       // Fetch and store favorite model IDs in an array
       $favoriteModelIds = [];
       while ($row = $result->fetch_assoc()) {
           $favoriteModelIds[] = $row['model_id'];
       }
       $stmt->close();
   }
   ?>
<? if ($page == 1 && isset($pages)): ?>
<div id='num-pages' data-pages='<?= $pages ?>'></div>
<? endif; ?>




<div id="content-yield-container" >
   <div class="alert-container row"></div>
   <div class="row thing-box-container">
      <div id="infinite-content">
         <div class="infinite-page clearfix " style="margin: 15px 26px 20px!important;">
          
            
         
         
         
                     <?php //embed in grid; ?>
         
         <?if (!empty($homeEmbed && $url['name'] == 'home')): ?>
            <div id="videoPlayerWrapper" style="grid-column: 4/1;grid-row: 1/3;">
               <style>@media (orientation: portrait) {#videoPlayerWrapper {grid-column: 3/1!important;}}</style>
               <div id="videoPlayerWrapper" class="centered">
                  <div id="videoContainer">
                     <div class="text-center">
                        <div class="panel panel-default mb0 panel-paywall">
                           <div class="panel-body" style="padding: 4px!important;">
                              <div class="mt5">                              
                                 <? if (count($embedFeaturedModelsWide) > 0 ):?>
                                 <?php if (count($embedFeaturedModels) > 0): ?>
                                 <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $embedFeaturedModels[0]['siteShortNameCaps'] : '' ), $embedFeaturedModels[0])); ?>" data-toggle="modal" data-dismiss="modal" class="btn btn-green block">
                                    <div class="description-box show-line-breaks" style="white-space: initial!important;">
                                       <b><?= ucfirst($embedFeaturedModels[0]['nickname']) ?></b>
                                       <?php if (empty($embedFeaturedModels[0]['subject'])): ?>
                                       from <?= $embedFeaturedModels[0]['site'] ?> is <?= $embedFeaturedModels[0]['status'] ?>
                                       <?php else: ?>
                                       <?= truncate($embedFeaturedModels[0]['subject'], 45) ?>..
                                       <?php endif; ?>
                                    </div>
                                 </a>
                                 <?php else: ?>
                                 <?php if (isset($embedFeaturedTitleLink) && $embedFeaturedTitleLink !== ''): ?>
                                 <a href="<?= $embedFeaturedTitleLink ?>" class="btn btn-green block text-description">
                                 <?= $embedFeaturedTitle ?>
                                 </a>
                                 <?php else: ?>
                                 <p  class="btn btn-green block text-description">
                                 <?= $embedFeaturedTitle ?>
                                 </p>
                             
                                 <?php endif; ?>
                                 <?php endif; ?>
                                 <?else:?>
                                 <a href="<?= $homeBannerLink?>" data-toggle="modal" data-dismiss="modal" target="_blank" rel="noopener" class="btn btn-green block">
                                 <b><?= $title?></b>
                                 </a>
                                 <? endif; ?>
                              </div>
                           </div> 
                        </div>
                     </div>
                     <div>
                        <?php if (!empty($embedFeaturedModels)): ?>
                        <?php if (count($embedFeaturedModels) > 0): ?>
                        <div class="rwd-media">
                           <?php include "chatHomeEmbed.php"; ?>
                        </div>
                        <?php endif;  else:?>
                        <?php if (!empty($homeBanner)): ?>
                        <div class="rwd-media">
                           <a href="<?= $homeBannerLink ?>" title="<?= $title ?>"  target="_blank" rel="noopener" alt="<?= $description ?>">
                           <img src="<?= $homeBanner ?>" class="default-thumbnail" title="<?= $title ?>" alt="<?= $description ?> sex" style="height: 288px; width: 100%;">
                           </a>
                        </div>
                        <?php else: ?>
                        <video width="100%" height="288"  autoplay muted>
                           <source src="<?= $homeVideoBanner ?>" type="video/mp4">
                           Your browser does not support the video tag.
                        </video>
                        <?php endif; ?>
                        <?php endif; ?>
                     </div>
                  </div>
               </div>
            </div>
            <? endif;?>
         
            <?php //embed in grid; ?>








           
            
            
            <? foreach ($models as $index => $m): if (empty($m['blocked']) || !in_array($usersCountry, $m['blocked'])): ?>


               <?php if ($promoteGridStart > 0): ?>
    <?php if ($url['name'] != 'webcamsCustom' && $url['name'] != 'webcamsMulti'): ?>
        <?php
            $gridPositions = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15];
            $targetPosition = $promoteGridPosition;
            $closestPosition = min($gridPositions, function ($position) use ($targetPosition) {
                return abs($position - $targetPosition);
            });
        ?>
        <?php if ($index == $promoteGridPosition): ?>
            <div class="box album with-username empty-grid loaded">
                <?php if (!empty($promoteGridImageUrl)): ?>
                    <a href="<?= $promoteGridPLink ?>" target="<?= ($promoteGridPLinkMode === 'newPage') ? '_blank' : '_self' ?>">
                        <img src="<?= $promoteGridImageUrl ?>" alt="promote home page live models shows models" style="width: 100%; height: 166px">
                    </a>
                <?php elseif (!empty($promoteGridVideourl)): ?>
                    <?php
                        $videoUrlsArrayPromote = array_map('trim', explode(',', $promoteGridVideourl));
                    ?>
                    <video class="videoGrid" id="gridVideoBanner" autoplay loop muted style="">
                        <?php foreach ($videoUrlsArrayPromote as $index => $videoUrl): ?>
                            <source src="<?= $videoUrl ?>" type="video/mp4">
                        <?php endforeach; ?>
                    </video>
                    <script>
                        var video = document.getElementById('gridVideoBanner');
                        var videoUrls = <?= json_encode($videoUrlsArrayPromote) ?>;
                        var currentVideoIndex = 0;

                        video.addEventListener('timeupdate', function () {
                            if (video.currentTime / video.duration > 0.95) {
                                currentVideoIndex = (currentVideoIndex + 1) % videoUrls.length;
                                video.src = videoUrls[currentVideoIndex];
                                video.play();
                            }
                        });

                        video.play();
                    </script>
                <?php endif; ?>
                <?php if (isset($promoteButtonImage) && $promoteButtonImage > 0): ?>
                    <div class="collection-token-stripe">
                        <a href="<?= $promoteGridPLinkButtonImage ?>" target="<?= ($promoteGridPLinkMode === 'newPage') ? '_blank' : '_self' ?>">
                            <span class="collapsed-smaller" style="width: 100%;">
                                <img src="<?= $promoteGridButtonBanner ?>" style="width: 100%;" alt="Create Your Free Account">
                            </span>
                        </a>
                    </div>
               
                    
                <?php endif; ?>
            </div>
        <?php endif; ?>
    <?php endif; ?>
<?php endif; ?>

          
           


            <?php
if (isset($featureModelsAllPages) && $featureModelsAllPages < 1 && $url['name'] != 'home') {
    // Reset $featuredModels to empty string
   // $featuredModels = '';

   // $m['featured'] = '0'; 
  
   

    $featured = '';


  
    

    // Set to '0' when conditions are met (not displayed)
} elseif ($url['name'] == 'home') {
    // If $url['name'] is 'home', display the models
    // $featuredModels should retain its current value
} else {
    // This block handles scenarios where $featureModelsAllPages is greater than 0
    // and $url['name'] is not 'home'. In such cases, display the models.
    // $featuredModels should retain its current value
}
?>





            <div class="box album with-username loaded" data-site="<?= $m['site'] ?>" data-model-id="<?= $m['id'] ?>" data-nickname="<?= $m['nickname'] ?>" data-featured="<?= !empty($m['featured']) ? 1 : 0 ?>">
            <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>" class="media-container"  title="Watch <?= ucfirst($m['nickname']) ?> in a live cam show on <?= $m['site'] ?> – Free Video Chat with <?= ucfirst($m['nickname']) ?> and More"  aria-label="Watch <?= ucfirst($m['nickname']) ?> live in a free chat show on <?= $m['site'] ?>">
               <span class="marquee album-title album-title-bottom">
                  <span><?= $m['status'] ?></span>
                  </span>
                  <div class="indicators-top-right flex">
                  <?php if (isset($m['featured']) && $m['featured'] > 0): ?>
          
                     <?php else: ?>
                     <?php if (gmdate("d", $m['addedOn']) < '14'): ?>
   
                     <span><img class="newmodels" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_new" class="avatar" alt="newmodel <?= $m['nickname'] ?> "></span>
                     <?php endif; ?>
                     <?php endif; ?>
                  </div>
                 
                 
                  <img 
    src="<?= ($m['numImages'] > 0 && empty($useLiveImages)) ? $m['imagePath'] . $m['numImages'] . '.webp' : $m['imageUrl'] ?>"
    srcset="<?= ($m['numImages'] > 0 && empty($useLiveImages)) ? 
              $m['imagePath'] . $m['numImages'] . '.webp 600w, ' . 
              $m['imagePath'] . $m['numImages'] . '.webp 900w, ' . 
              $m['imagePath'] . $m['numImages'] . '.webp 1200w' : 
              $m['imageUrl'] . ' 600w, ' . $m['imageUrl'] . ' 900w, ' . $m['imageUrl'] . ' 1200w' ?>"
    sizes="(max-width: 600px) 600px, (max-width: 900px) 900px, 1200px"
    class="default-thumbnail"
    title="<?= $m['title'] ?> - free live sex show on <?= $m['site'] ?> - Photos of <?= $m['nickname'] ?> "
    alt="Photos of <?= $m['nickname'] ?> from <?= $m['site'] ?> is <?= $m['status'] ?>"
    loading="lazy">

                 
                 
                  <? if ($m['hd'] == '0'):?>
                  <img class="hdQualityplus" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_hd_plus"  class="avatar"  alt="Hd chat cam  from<?= $m['nickname'] ?> ">
                  <?endif;?>
                  <? if ($m['hd'] == '1'):?>
                  <img class="hdQuality" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_hd"  class="avatar"  alt="hd cam  <?= $m['nickname'] ?> ">
                  <?endif;?>
                  <? if (strpos( $m['tags'], 'mobile') !== false) :?>
                  <img class="phoneQuality" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_mobile"  class="avatar" alt="mobile cam show with  <?= $m['nickname'] ?> ">
                  <?endif;?>
                  <?php if (isset($m['featured']) && $m['featured'] > 0): ?>
                  <span class="index-module__flagNew--MIAcu <? if($featureModelAnimation > 0):?>dynamic <?endif;?>">
                  <span class=""><?= $featureModelText?></span> 
                  </span> 
                  <?php endif; ?>
                  <?if (strpos( $m['tags'], 'lovense') !== false) :?>
                  <img class="lovense" src="/assets.<?= $theme ?>/icons/listing_atlas8.svg#svg_ls_bage_vibratoy"  class="avatar" alt="have fun with <?= $m['nickname'] ?> and her toys ">
                  <?endif;?>
               </a>
               <div style="clear:both;"></div>
               <div class="album-list-public-user-info">
                  <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>">
                  <?php if (isset($modelAvatarIndex) && $modelAvatarIndex > 0): ?> 
                  <span class="avatar-status-container">
                  <img src="<?= $m['imagePath'] ?><?= rand(1,$m['numImages']);?>.webp" width="30" height="30" class="avatar" loading="lazy" alt="<?= $description ?>" title="<?= $m['title'] ?>">
                  </span>  
                  <?endif;?>   
                  <span><b><?= ucfirst(strtolower($m['nickname'])) ?></b></span>
            
                  <?php if ($useNicknamePage > 0): ?>
                  <a href="<?= encodeUrl('webcamsNickname', $m) ?>">
                  <?php
                     if (isset($useNicknameIcon) && !empty($useNicknameIcon)) { ?>
                  <img src="<?= $useNicknameIcon ?>" alt="Nickname Icon" title="<?= $useNicknameImageTitle?>  <?= ucfirst($m['nickname']) ?> from <?= $m['site'] ?> " style="height: <?= $useNicknamePageHeight ?>; width: auto;">
                  <?php } else { ?>
                  ...
                  <?php } ?></a>
                  </a>
                  <?php endif; ?>
                  
                  <?php if ($userFavoriteModels > 0): ?>
                  <span class=" pull-right" >
                     <!--
                        <button class="btn btn-grey btn-sm follow-button" data-modelid="<?= $m['id'] ?>">
                                    <i class="fa fa-heart-o"></i>
                                </button>-->
                     <? 
                        if (isset($favoriteModelIds)) {
                          // Check if the model's ID is in the user's favorite list
                          $isFavorite = in_array($m['id'], $favoriteModelIds);
                        } else {
                          // User is not logged in or has no favorites, so not a favorite
                          $isFavorite = false;
                        }
                            if (isset($_SESSION['user_id'])) {
                            // Create the button with the appropriate class and icon
                            echo '<button class="btn btn-grey btn-sm follow-button' . ($isFavorite ? ' added' : '') . '" data-modelid="' . $m['id'] . '">';
                                echo '<i class="fa ' . ($isFavorite ? 'fa-heart' : 'fa-heart-o') . '"></i>';
                                echo '</button>';
                            }
                         
                         ?>
                  </span>
                  <?php endif; ?>
                  <span class="follow-buttons pull-right" >
                  <a href="<?= strtolower(encodeUrl('webcamsProfile' . ($webcamsProfilePerSite == 1 ? $m['siteShortNameCaps'] : '' ), $m)); ?>" class="btn " title="Follow <?= $m['nickname'] ?>">
                  <?if( $m['gender'] == 'Couple'): ?>
                  <? $m['gender'] = '<i class="fa fa-venus-mars" aria-hidden="true"></i>';?>
                  <?endif;?>
                  <?if ($m['gender'] == 'Female'):?>
                  <? $m['gender'] = '<i class="fa fa-venus" aria-hidden="true"></i>';?>
                  <?endif;?>
                  <?if( $m['gender'] == 'Male'): ?>
                  <? $m['gender'] = '<i class="fa fa-male" aria-hidden="true"></i>';?>
                  <?endif;?>
                  <?if( $m['gender'] == 'Trans'): ?>
                  <? $m['gender'] = '<i class="fa fa-transgender-alt" aria-hidden="true"></i>';?>
                  <?endif;?>
                  <?=$m['gender']?>
                  </a>

                  
                  </span>
                  <div style="clear:both;"></div>
               </div>
            </div>

            <?php if( isset($modelFrame) && $modelFrame > 0):?> 
            <?php if ($index + 1 == $modelFrameGrid): ?>
            <div class="model-wrapper overlay-wrapper news-col custom-wrapper">
               <img class="default-thumbnail" src="<?= $modelFrameMainImage ?>" alt="best webcam model live sex">
               <?php if (isset($modelFrameIconUp) && !empty($modelFrameIconUp)): ?>
               <div class="model-shy-flag-up" style="left:0px; bottom:initial; top:5px; width:initial; height:initial;">
                  <img src="<?= $modelFrameIconUp ?>" style="max-width: 30px;">
               </div>
               <?php endif; ?>
               <div class="model-tag" style="z-index:11;">
                  <div class="model-overlay">
                  </div>
                  <div class="model-tag news-feed" style="display: <?= $modelFrameDisplayDown ?>;">
                     <p class="ellipsis"><?= $modelFrametentDown?></p>
                  </div>
               </div>
               <div class="frame <?= $modelFrameColorRight;?>">
                  <div class="frame-label">
                     <?= $modelFrameText?>    
                  </div>
               </div>
               <div class="hovereffect">
                  <div class="placeholder-wrapper"></div>
                  <?php if (isset($modelFrameIconDown) && !empty($modelFrameIconDown)): ?>
                  <div class="model-shy-flag-down" style="left:0px; width:initial; height:initial;">
                     <img src="<?= $modelFrameIconDown ?>" style="max-width: 20px;" alt="Model cam ">
                  </div>
                  <?php endif; ?>
                  <div class="overlay">
                     <a class="absolute" href="<?= $modelFrameLink?>"aria-label="Chat with Naked Girls - free on <?= $sitename;?> - <?= $title;?>" ></a>
                     
                  </div>
               </div>
            </div>
            <?php endif; ?>
            <?php endif; ?>
        
            <?endif;?>
            <? endforeach;?>
         </div>
      </div>
   </div>
</div>
<? if (!isset($_GET['layout']) || $url['page'] == 1 || $page == 1): ?>
<? endif; ?>

<? if (!empty($paginationLoadMore) && $pages > 1 && $page == 1): ?>
<div class="item-more" id="loadmore"  style="text-align: center;">
   <a href="javascript:page.loadMore();" class="btn btn-theme pagestyle"><?= $paginationMoreBtnText ?></a>
</div>
<? endif; ?>

<? if (empty($paginationLoadMore)): ?>
<div class="item-more" id="loadmore" style="text-align: center;">
   <? if ($page > 1): ?>
   <a href="javascript:document.location=page.getPrevPage();" class="btn btn-theme pagestyle"><?= $paginationBackBtnText ?></a>
   <? endif; ?>
   <? if ($page < $pages): ?>
   <a href="javascript:document.location=page.getNextPage();" class="btn btn-theme pagestyle"><?= $paginationNextBtnText ?></a>
   <? endif; ?>
</div>
<? endif; ?>
<? if (!isset($_GET['layout']) || $url['page'] == 1): ?>
<? endif; ?>
<script>
   $(document).ready(function() {
       $('.follow-button').click(function() {
           var modelId = $(this).data('modelid');
   
           if ($(this).hasClass('added')) {
               // If the button is marked as added, remove the model from favorites
               removeFromFavorites(modelId);
           } else {
               // Otherwise, add the model to favorites
               addToFavorites(modelId);
           } 
       });
   
       function addToFavorites(modelId) {
           $.post("", { action: "add", modelId: modelId }, function(data) {
               console.log(data);
               var button = $('.follow-button[data-modelid="' + modelId + '"]');
               button.addClass('added');
               button.find('i').removeClass('fa-heart-o').addClass('fa-heart'); // Change icon class
           });
       }
   
       function removeFromFavorites(modelId) {
           $.post("", { action: "remove", modelId: modelId }, function(data) {
               console.log(data);
               var button = $('.follow-button[data-modelid="' + modelId + '"]');
               button.removeClass('added');
               button.find('i').removeClass('fa-heart').addClass('fa-heart-o'); // Change icon class
           });
       }
   });
</script>