#customSelectors.streamray a:link, #customSelectors.streamray input, #customSelectors.streamray select {
    text-decoration: none;
    padding: 5px;
    text-align: center;
    display: inline-block;
    margin: 0 4px 4px 0;
    border-radius: 2px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    float:left;
}   

#customSelectors.streamray input, #customSelectors.streamray select {
    border-radius: 2px;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    height: 1.75em;
}   

#customSelectors.streamray #filters p.genders {
    width: 100%;
    background-color: <?= $customBgColor ?> !important;
    border-bottom: none;
    display:block;
    margin-top: 0;
    margin-bottom: 0;
    padding-bottom:0px;
}

#customSelectors.streamray #filters p.genders span {
    padding:0;
}

#customSelectors.streamray #filters p.genders span a:link{
    border-radius: 0;
    -moz-border-radius: 0;
    -webkit-border-radius: 0;
    color: <?= $customHiliteTextColor ?> !important;
}

#customSelectors.streamray #filters p.genders span a:link.active {
    background-color: <?= $customBgColor ?> !important;
    border-bottom:solid 2px <?= $customHiliteBgColor ?>;
    font-weight: normal;
}

#customSelectors.streamray #filters p {
    overflow:auto;
    margin-left:0px;
    margin-right:0px;
    padding-bottom:8px;
    padding-top:4px;
    border-bottom: 1px solid <?= $customBgColor ?>;
}

#customSelectors.streamray #filters p span {
    padding-bottom: 10px;
    clear:both;
    display:block;
}

#customSelectors.streamray {
    overflow: auto;
    width:100%;
}

#customSelectors.streamray form {
    padding-left:8px;
}

#customSelectors.streamray #filters {
    clear:none;
}

#customSelectors.streamray a:link.active {
    color: <?= $customHiliteTextColor ?> !important;
}   

#sidebar .widget {
   padding: 0 0 0 4px;
}

.sidebar-mobile span {
    width:80%;
}

#customSelectors.streamray #filters {
    display:block !important;
}

